<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:bundle basename="localization.CustomReportsMessages">
<fmt:message key="View_Report" var="pageTitle" />
<fmt:message key="View_Report" var="headerTitle" />
<jsp:include page="../common/header.jsp">
	<jsp:param value="${pageTitle}" name="titleLocalized" />
	<jsp:param value="${headerTitle}" name="headerTitleLocalized" />
	<jsp:param value="true" name="includeJqueryUI" />
</jsp:include>

<style type="text/css">


 .mainBtn {
    background: none repeat scroll 0 0 #4C9CE6;
    border: 1px solid #3D7DB8;
    border-radius: 4px;
    color: #FFFFFF;
   padding: 3px 5px;
}
.mainBtn:hover {
    background: none repeat scroll 0 0 #3D7DB8;
    color: #FFFFFF;
    cursor: pointer;
    text-decoration: none;
}
.mainBtn:active {
    box-shadow: 3px 3px 3px rgba(30, 30, 30, 0.3) inset;
}

.disabledActions {
	background: #d5d5d5;
    border: 1px solid #CCCCCC;
    color: #999999;
    cursor: default;
    pointer-events: none;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
	filter: alpha(opacity = 50);
	opacity: .5;
/*    behavior: url(/vaultcxWeb/common/csspie/PIE.htc); */
	


</style>

<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
$(document).on("ready", function() {
	
	$(':file').change(function(){
	    var file = this.files[0];	    
	    if(file.name && file.name.substring(file.name.length-3,file.name.length) == 'sql'){
	    	$("#uploadBtn").removeClass('disabledActions');
	    	$("#uploadBtn").addClass('mainBtn');
	    }else{
	    	alert('Invalid File Extension.');
	    	$("#uploadBtn").removeClass('mainBtn');
	    	$("#uploadBtn").addClass('disabledActions');
	    }	
	});
	$(':button').click(function(){
		 var formData = new FormData($('form')[0]);
		 $.ajax({
		        url: 'uploadAndInstallCustomReport.do',  //Server script to process data
		        type: 'POST',		        
				success : function(data) {
					alert('Installed the report Succesfully');
					$("#uploadBtn").removeClass('mainBtn');
			    	$("#uploadBtn").addClass('disabledActions');
				},
				error : function(xhr, ajaxOptions, thrownError) {
					alert($.trim(xhr.responseText));
				},
				// Form data
				data : formData, //Options to tell jQuery not to process data or worry about content-type.
				cache : false,
				contentType : false,
				processData : false
			});
		});
	});
</script>
<div>
		<cv:reportsTag name="CustomReports" id="8">
			<cv:reportsTag name="adminRight" id="999">
				<form enctype="multipart/form-data"
					action="${pageContext.request.contextPath}/uploadAndInstallCustomReport.do"
					method="post" name="m">
					<label>Select report to install : </label><input type="file"
						name="logfile" size="60" /> <input id="uploadBtn" class="disabledActions" type="button" name="submit"
						value="Upload File">
				</form>
			</cv:reportsTag>
		</cv:reportsTag>
	</div>
</fmt:bundle>