var currentDashboard = {};
var currentTarget = null;
var editDialog = null;
var newDashBoardDialog = null;
var deletedashboarddDialog = null;
var delDialog = null;
var db = "Custom Reports";
var action = "";
var dashboardAction = "";
var dashboardId = cvUtil.getParameterByName("dashboardId");
var dashbordListCreated = false;
$("document").ready(function() {
	adjustLayout();
	$(window).resize(function() {
		adjustLayout();
	});
	$(".createNewPortlet").on("click", function() {
		action = 'new';
		showEditDialog();
		$('#ui-dialog-title-edit-form').html('Add Report Information');
	});

	$("#addNewReport").click(function(evt) {//add button
		action = 'new';
		showEditDialog();
		$('#ui-dialog-title-edit-form').html('Add Report Information');
	});

	$("#addNewDashboard").click(function(evt) {//add button
		dashboardAction = 'new';
		showNewDashBoardDialog("new");
	});
	$("#editDashboard").click(function(evt) {//add button
		dashboardAction = 'edit';
		$("#dashbordTitle").val(currentDashboard.name);
		showNewDashBoardDialog("edit");
	});

	$("#deleteDashboard").click(function(evt) {//add button
		showDelDashboardDialog();
	});

	initDelDialog();
	initDelDashboardDialog();
	initNewDashBoardDialog();
	initEditDialog();

	refreshDashboardList(dashboardId);
	$(".handPointer").css("visibility", "hidden");
	$(".portlet").hover(function() {
		$(this).children().find('.handPointer').css("visibility", "visible");
	}, function() {
		$(this).children().find('.handPointer').css("visibility", "hidden");
	});

	//$(".portlet").dblclick(function() {
	//$(this).children().find('.handPointer').css("visibility", "hidden");
	//var src = $(this).parent().parent().attr('data-source');
	//src = src.replace("height=","").replace("width=","").replace("&isDashBoard=true","&isDashBoard=false");
	//window.open(src,'_blank');	
	//});

	$('.repDropdown').mouseover(function(e) {
		if (window.hidePageSelect) {
			window.clearTimeout(window.hidePageSelect);
			window.hidePageSelect = null;
		}

		var left = $('.repDropdown').position().left;
		$("#pageSelect").css("display", "block");
		e.stopPropagation();
	});

	$('html').mouseover(function() {
		if (!window.hidePageSelect) {
			window.hidePageSelect = window.setTimeout(function() {
				$("#pageSelect").fadeOut(100);
			}, 1000);
		}
	});
	$('html').on("click", function() {
		$("#pageSelect").fadeOut(0);
	});

});

function getMenuWidth() {
	var cln = $(".pageSelectWrapper").clone();
	$('body').append(cln);
	cln.css('visibility', 'hidden');
	cln.css('font-size', '11.2px');
	cln.find($("#pageSelect")).show();
	window.reportsMenuWidth = cln.width();
	cln.remove();
}

/**
 * 
 */
function updatePositions(order) //update (x,y) in database to be used at the end of every move
{
	jQuery.support.cors = true;
	cvUtil.loadPageWithSessionCheck(cvUtil.getContextPath() + "/server/updateWidgetPosition.do", {
		dashboardId : dashboardId,
		order : order
	}, function(data, text, xhr) {
		//newWidget(data);
	});
};

function initPortlet(dashboardId) {
	$("#content").mask("Loading dashboards ...");
	processWidgets(dashboardId);
	$("#content").unmask();
}

function updateDashUrl(dashboardId) {
	var url = "dashboardId=" + dashboardId;
	History.pushState(null, document.title, "?" + url);
}
function processWidgets(dashboardId) {
	$("#contain .widget").remove();
	cvUtil.loadPageWithSessionCheck(cvUtil.getContextPath() + "/server/getWidgetsForDashboardId.do", {
		dashboardId : dashboardId
	}, function(widgets, text, xhr) {
		$.each(JSON.parse(widgets), function(j, currWidget) {
			addNewWidget(currWidget);
		});

	}, function(xhr, ajaxOptions, thrownError) {
		$("#content").unmask();
		var error = $.trim(xhr.responseText);
		if (error == 'Invalid Reports Capability') {
			window.location.replace(cvUtil.getContextPath() + "/applications");
		} else {
			cvUtil.errorToast(error, 30000);
		}
	});
}

function getrequestUrl() {
	return 'http://' + window.location.host + cvUtil.getContextPath();
}

function upgradeUrl(source) {
	var newUrl = window.location.protocol + "//" + window.location.host + cvUtil.getContextPath() +
			'/reportsplus/reportInclude.jsp';
	var reportName = cvUtil.getParameterByName('reportName', source, '');
	if (reportName == '') {
		reportName = cvUtil.getParameterByName('name', source, '');
	}
	var format = cvUtil.getParameterByName('format', source, '');
	var reportId = cvUtil.getParameterByName('reportId', source, '');
	var reportComponents = getReportComponents(reportId, reportName);
	newUrl = newUrl + "?reportName=" + window.encodeURI(reportName) + "&reportId=" + reportId + "&format=" + format;
	return newUrl;
}

function addNewWidget(json) {
	var source = encodeURI(json.source);
	var tableId = "table" + json.id;

	if (source.indexOf('customreports') != -1) {
		source = upgradeUrl(source);
	}

	if (source.indexOf("reportsplus") != -1) {
		var loc = window.location.href;
		source = loc.substring(0, loc.indexOf("customreports")) +
				source.substring(source.indexOf("reportsplus"), source.length);
		var isDashboard = cvUtil.getParameterByName('isDashboard', source, undefined);
		if (!isDashboard) {
			source = source + "&isDashboard=true";
		}
	}

	var portTitle = json.title;
	var template = '<div class="widget"><div class="portlet sortablePortlet" id="{{id}}"  data-title="' +
			portTitle +
			'" data-x="{{x}}" data-y="{{y}}" data-source="' +
			source +
			'" > <div class="portlet-header"><span id="portHeader">' +
			portTitle +
			'</span> <div class="widgetControls"><span class="ui-icon ui-icon-closethick handPointer" title="Remove Report"></span> <span class="ui-icon ui-icon-pencil handPointer" title="Edit Report Information"></span> <span class="ui-icon ui-icon-refresh handPointer" title="Refresh Content"></span><span title="Open In A New Window" class="handPointer link"></span></div></div> <div class="portlet-content" style="height:92%;width:100%"  id="' +
			tableId + '" data-widgetid="{{id}}"> </div> </div>';
	var html = Mustache.to_html(template, json).replace(/^\s*/mg, '');
	var newPortlet = $(".createNewPortlet").before(html);
	var portlet = $("#" + json.id);
	initListeners(portlet);

	if (!(source.match("http") == "http")) { //load source directly
		var currPortlet = portlet.find(".portlet-content");
		console.log(source);
		portlet.find(".portlet-content").load(source);
	} else {
		var currPortlet = portlet.find(".portlet-content");
		var ifrId = "frame_" + json.id;
		currPortlet.mask("");
		currPortlet.append("<iframe src=" + source + " marginheight='0' marginwidth='0' frameborder='0' id='" + ifrId +
				"'></iframe>"); //add iframe
		$("#" + ifrId).load(function() {
			currPortlet.unmask();
		});
		currPortlet.css("overflow", "hidden");
	}
	$(".handPointer").css("visibility", "hidden");
	portlet.hover(function() {
		$(this).children().find('.handPointer').css("visibility", "visible");
	}, function() {
		$(this).children().find('.handPointer').css("visibility", "hidden");
	});
}

function initListeners(portlet) {
	//edit button
	portlet.find($(".portlet-header .ui-icon-pencil"))
			.click(function(evt) {
				currentTarget = $(this);
				//prepopulate dialog-form
				$("#source").val(currentTarget.parents(".portlet").attr("data-source"));
				var reportId = cvUtil.getParameterByName('reportId', currentTarget.parents(".portlet")
						.attr("data-source"), '');
				buildChartList(reportId, "", false);
				$("#viewList option[data-id='" + reportId + "']").attr("selected", "selected");
				var componentId = cvUtil.getParameterByName('showComponents', currentTarget.parents(".portlet")
						.attr("data-source"), '');
				$("#chartList option[data-id='" + componentId + "']").attr("selected", "selected");
				$("#title").val($.trim(currentTarget.parent().parent().find("#portHeader").text()));
				$("#hostList").val(cvUtil.getParameterByName('host', currentTarget.parents(".portlet")
						.attr("data-source"), ''));
				$("#widgetId").val(currentTarget.parents(".portlet").attr("id"));

				action = 'edit';
				showEditDialog();
				$('#ui-dialog-title-edit-form').html('Edit Report Information');
			});

	//refresh button
	portlet.find($(".portlet-header .ui-icon-refresh")).click(function(evt) {
		currentTarget = $(this);
		var currPortlet = currentTarget.parents(".portlet").find(".portlet-content");
		currPortlet.mask("");
		currentTarget.parents(".portlet").find(".portlet-content iframe").attr("src",
				(currentTarget.parents(".portlet").find(".portlet-content iframe").attr("src")));
		$("#" + $(this).parents(".portlet").find(".portlet-content iframe").attr('id')).load(function() {
			currPortlet.unmask();
		});
	});

	//minimize button
	portlet.find($(".portlet-header .ui-icon-minusthick")).click(function(evt) {
		$(this).toggleClass("ui-icon-minusthick").toggleClass("ui-icon-plusthick");
		$(this).parents(".portlet:first").find(".portlet-content").toggle();
	});

	//delete button
	portlet.find($(".portlet-header .ui-icon-closethick")).click(function(evt) {
		currentTarget = $(this);
		showDelDialog();
	});
	//customreports/viewCustomReport.do?reportName=Current+Media+Size+Per+Copy&host=red302.devemc.commvault.com&dbName=CommServ&format=hbarchart&includeChart=true&includeTable=true
	portlet.find($(".portlet-header .link")).click(function(evt) {
		currentTarget = $(this);
		var src = $(this).parents(".portlet").attr('data-source');
		if (src.indexOf('reportsplus') !== -1) {
			var target = getrequestUrl() + "/reportsplus/reportViewer.jsp";
			target += "?reportId=" +
					cvUtil.getParameterByName('reportId', currentTarget.parents(".portlet").attr("data-source"), '');
			window.open(target, '_blank');
		} else {
			window.open(src, '_blank');
		}

	});
}

/**
 * 
 */
function showEditDialog() {
	initEditDialog();
	editDialog.dialog("open");
}

function showNewDashBoardDialog(action) {
	initNewDashBoardDialog();
	var title = action == "new" ? "Add Dashboard" : "Rename Dashboard";
	$("#ui-dialog-title-addDashBoardForm").text(title);
	newDashBoardDialog.dialog("open");
}
/**
 * 
 */
function showDelDialog() {
	initDelDialog();
	delDialog.dialog("open");
}

/**
 * 
 */
function showDelDashboardDialog() {
	initDelDashboardDialog();
	deletedashboarddDialog.dialog("open");
}

/**
 * 
 */
function initSelects() {
	//fill dropdown boxes in edit form
}

function initNewDashBoardDialog() {
	if (newDashBoardDialog != null) {//flag to avoid multiple init
		return;
	}

	newDashBoardDialog = $("#addDashBoardForm").dialog({
		autoOpen : false,
		height : 150,
		width : 450,
		modal : true, //give dialog precedence over the rest of the page		
		zIndex : 20010,
		buttons : {
			"Apply" : function() {
				var dashboardName = $('#dashbordTitle').val();
				if (dashboardName == "") { //do not allow blank entries{					
					alert("Dashboard title cannot be empty");
					return;
				}

				if (dashboardAction == 'new') {
					if (dashboardExists(dashboardName)) {
						alert("A Report with the title already exists. Please enter a different title.");
						//clearFormFieldsAndClose();
						return;
					}
					cvUtil.loadPageWithSessionCheck(cvUtil.getContextPath() + "/server/addNewDashBoard.do", {
						dashboardTitle : $('#dashbordTitle').val()
					}, function(data, text, xhr) {
						newDashBoardDialog.dialog("close");
						data = JSON.parse(data);
						updateDashUrl(data.dashBoardId);
						window.location.reload();
					});
				} else if (dashboardAction == 'edit') {
					cvUtil.loadPageWithSessionCheck(cvUtil.getContextPath() + "/server/editDashBoard.do", {
						dashboardTitle : $('#dashbordTitle').val(),
						dashboardId : dashboardId
					}, function(data, text, xhr) {
						newDashBoardDialog.dialog("close");
						refreshDashboardList(dashboardId);
					});
				}
			},
			"Cancel" : function() {
				newDashBoardDialog.dialog("close");
			}
		}
	});
}

function refreshDashboardList(id) {
	cvUtil.loadPageWithSessionCheck(cvUtil.getContextPath() + "/server/customdashboard.do", {}, function(dashboard,
			text, xhr) {
		$("#content").unmask();
		$("#pageSelect").empty();
		$("<div id='dashboardsDiv'>" + "</div>").appendTo("#pageSelect");
		$("<h3>Dashboards</h3>").appendTo("#dashboardsDiv");
		$("<ul id='dblist'>" + "</ul>").appendTo("#dashboardsDiv");
		$.each(dashboard, function(i, val) {
			var dbname = val.name; //DashboardName
			var link = cvUtil.getContextPath() + "/customreports/dashboard.jsp?dashboardId=" + val.dashBoardId;
			$("<li id='db" + val.dashBoardId + "'  data-id=" + val.dashBoardId + "><a href='" + link + "' title='" +
					dbname + "'>" + dbname + "</a></li>").appendTo("#dblist");

			if (!id && i == 0) {
				dashboardId = val.dashBoardId;
				updateDashUrl(dashboardId);
			}

			if (val.dashBoardId == dashboardId) {
				currentDashboard = val;
				$(".dashboardTitle").html(dbname);
			}
		});
		if (id) {
			processWidgets(id);
		} else {
			processWidgets(dashboardId);
		}

	}, function(xhr, ajaxOptions, thrownError) {
		$("#content").unmask();
		cvUtil.errorToast($.trim(xhr.responseText), 30000);
	});
}

function deleteDashboard() {
	cvUtil.loadPageWithSessionCheck(cvUtil.getContextPath() + "/server/deleteDashBoard.do", {
		dashboardId : dashboardId
	}, function(data, text, xhr) {
		newDashBoardDialog.dialog("close");
		updateDashUrl($($("#dblist li")[1]).attr('data-id'));
		window.location.reload();
	});
}
/**
 * 
 */
function initEditDialog() {
	if (editDialog != null) {//flag to avoid multiple init
		return;
	}
	getViewList();
	$("#edit-form").keyup(function(event) {
		if (event.keyCode == 13) {
			$(this).siblings('.ui-dialog-buttonpane').find('button:eq(0)').click();
		}
	});
	editDialog = $("#edit-form").dialog({
		autoOpen : false,
		height : 300,
		width : 660,
		modal : true, //give dialog precedence over the rest of the page		
		zIndex : 20010,
		buttons : {
			"Apply" : function() {
				var source = $("#source").val();
				var title = $("#title").val();
				var reportname = $("#viewList").val();

				if ((source == "") || (title == "")) { //do not allow blank entries{					
					alert("You must fill in a source and a title in order for changes to take effect");
					clearFormFieldsAndClose();
					return;
				}

				if (action == 'new') {
					if (exists(title)) {
						alert("A Report with the title already exists. Please enter a different title.");
						//clearFormFieldsAndClose();
						return;
					}
					addUpdate(source, title, reportname);
				}

				if (action == 'edit') {
					var ID = currentTarget.parents(".portlet").attr("id");
					edit(ID, source, title, reportname);
				}
				//clear input for future use
				clearFormFieldsAndClose();

			},
			"Cancel" : function() {

				//clear input for future use
				clearFormFieldsAndClose();
			}
		}
	});
}

function clearFormFieldsAndClose() {
	$("#viewList").val(0);
	$("#source").val("");
	$("#title").val("");
	$("#chartList").empty();
	editDialog.dialog("close");
}

/**
 * 
 */
function dashboardExists(currentTitle) {
	var exist = false;
	$("#dashboardList option").each(function(i, val) {
		if ($.trim($(this).val()) == currentTitle) {
			exist = true;
		}
	});
	return exist;
};

/**
 * 
 */
function exists(currentTitle, id) {
	var exist = false;
	$(".portlet").each(function(i, val) {
		if ($(val).attr('data-title') == currentTitle) {
			exist = true;
		}
	});
	/*
	 * for(var i = 0; i < titleCount; i++){ var currTitle = titleDivs[i]; currTitle = $(currTitle);
	 * if(currTitle.parents().find(".portlet").attr("id") == id){ continue; } var checkTitle =
	 * currTitle.html(); if(title == checkTitle){ exist = true; break; } }
	 */
	return exist;
};

function initDelDashboardDialog() {
	if (deletedashboarddDialog != null) {
		//flag to avoid multiple init
		return;
	}
	deletedashboarddDialog = $("#delDashboardForm").dialog({
		autoOpen : false,
		open : function() {
			$(this).siblings('.ui-dialog-buttonpane').find('button:eq(0)').focus();
		},
		zIndex : 20010,
		modal : true, //give dialog precedence over the rest of the page
		buttons : {
			"Ok" : function() {
				//remove widget from page

				//remove widget from database
				deleteDashboard();
				//var x = currentTarget.parents(".portlet").attr("data-x");
				//pullup($(".column").siblings("."+x));

				deletedashboarddDialog.dialog("close");
			},
			"Cancel" : function() {
				deletedashboarddDialog.dialog("close");
			}
		}
	});
}

function initDelDialog(ID) {
	if (delDialog != null) {
		//flag to avoid multiple init
		return;
	}
	delDialog = $("#del-form").dialog({
		autoOpen : false,
		open : function() {
			$(this).siblings('.ui-dialog-buttonpane').find('button:eq(0)').focus();
		},
		zIndex : 20010,
		modal : true, //give dialog precedence over the rest of the page
		buttons : {
			"Ok" : function() {
				//remove widget from page
				var ID = currentTarget.parents(".portlet").attr("id");
				currentTarget.parents(".portlet").remove();
				//remove widget from database
				deleteUpdate(db, ID);
				//var x = currentTarget.parents(".portlet").attr("data-x");
				//pullup($(".column").siblings("."+x));

				delDialog.dialog("close");
			},
			"Cancel" : function() {
				delDialog.dialog("close");
			}
		}
	});
}

/**
 * 
 */
function addUpdate(source, title, reportName) {

	var height = 400; //default height
	var width = 900; //default width
	var x = parseInt($(".widget .portlet").last().attr('data-x')) + 1;
	if ($.trim(x) == 'NaN') {
		x = 1;
	}
	var y = 1; //default y
	if (isNaN(dashboardId)) {
		dashboardId = cvUtil.getParameterByName("dashboardId");
	}

	cvUtil.loadPageWithSessionCheck(cvUtil.getContextPath() + "/server/addWidgetToDashBoard.do", {
		dashboardId : dashboardId,
		source : source,
		title : title,
		reportName : reportName,
		x : x,
		y : y,
		height : height,
		width : width
	}, function(data) {
		data = JSON.parse(data);
		addNewWidget(data);
	}, function(xhr, ajaxOptions, thrownError) {
		cvUtil.errorToast($.trim(xhr.responseText), 30000);
	});

};

function edit(widgetId, source, title, reportName) {
	cvUtil.loadPageWithSessionCheck(cvUtil.getContextPath() + "/server/updateWidgetInfo.do", {
		dashboardId : dashboardId,
		source : source,
		title : title,
		reportName : reportName,
		widgetId : widgetId
	}, function(data, text, xhr) {
		var portContDiv = currentTarget.parents(".portlet").find(".portlet-content"); //location of portlet-content
		var portletDiv = currentTarget.parents(".portlet"); //location of portlet
		$("#" + widgetId).attr("data-source", source); //update source attribute for future use 
		portContDiv.contents().remove(); //empty the portlet content
		if (source.indexOf('/customreports/') == 0) {
			source = cvUtil.getContextPath() + source;
		}

		if (!(source.match("http") == "http")) // add source directly into portlet-content
		{
			portContDiv.mask("");
			//portContDiv.css("overflow", "scroll");
			$.ajax({
				type : "POST",
				url : source,
				data : {
					dashboardName : db,
					source : source,
					title : title,
					ID : widgetId
				},
				success : function(data) {
					portContDiv.unmask("");
					portContDiv.html(data);
				}
			});
		}

		else //use iframe
		{

			var ifrId = "frame_" + portContDiv.parents(".portlet").attr('id');
			portContDiv.append("<iframe src='' marginheight='0' marginwidth='0' frameborder='0' id='" + ifrId +
					"'></iframe>"); //add iframe
			var currPortlet = portletDiv.find(".portlet-content");
			currPortlet.siblings().find("#portHeader").text(title);
			currPortlet.mask("");
			portletDiv.find(".portlet-content iframe").attr("src", source); // add source to iframe			
			portContDiv.css("overflow", "hidden"); //hide portlet-content scroll and use iframe's
			$('#' + ifrId).load(function() {
				currPortlet.unmask();
			});
		}

	}, function(xhr, ajaxOptions, thrownError) {
		cvUtil.errorToast($.trim(xhr.responseText), 30000);
	});
}

function getViewList() {
	$('#viewList').empty();
	$('#viewList').append('<option  id="0" value="0">Select Report</option>');
	cvUtil.loadPageWithSessionCheck(cvUtil.getContextPath() + "/server/showCustomReportsList.do", {
		dbServer : $("#cs option:selected").attr("value"),
		isDashboard : true
	}, function(data) {
		$.each(data.reports, function(idx, val) {
			var view = val;
			if (view["chartxcols"] != '' && view["chartycols"] != '') {
				$("<option></option>", {
					text : view["reportName"],
					val : view["reportName"],
					"data-id" : view["reportId"],
					"data-guid" : view["guid"]
				}).appendTo("#viewList");
			}
		});

		//buildChartList($('#viewList option:selected').data('id'),view["reportName"],true);
	});

	$("#viewList").change(function(val) {
		buildChartList($("option:selected", this).data('id'), $("option:selected", this).val(), true);
		buildAndAdd();
	});
	$("#chartList").change(function() {
		buildAndAdd();
	});
}

function buildChartList(reportId, reportName, buildUrl) {
	$('#chartList').empty();
	if (reportId || reportName) {
		cvUtil.loadPageWithSessionCheck(cvUtil.getContextPath() + "/server/reportBuilder.do", {
			reportId : reportId,
			includeDrafts : false,
			reportName : reportName
		}, function(data) {
			var report = data;
			var body = report.pages[0].body;
			body = JSON.parse(body);
			if (body.reportComponents && body.reportComponents.length > 0) {
				$.each(body.reportComponents, function(idx, val) {
					var title = val.title.text === "" ? "No title" : val.title.text;
					var view = val;
					$("<option></option>", {
						"data-type" : val.type,
						"data-id" : val.id,
						val : title,
						text : title,
					}).appendTo("#chartList");
				});
			}
			if (buildUrl) {
				buildAndAdd();
			}
		});
	}

}

function getReportComponents(reportId, reportName) {
	cvUtil.loadPageWithSessionCheck(cvUtil.getContextPath() + "/server/reportBuilder.do", {
		reportId : reportId,
		includeDrafts : false,
		reportName : reportName
	}, function(data) {
		JSON.parse(data.pages[0].body).reportComponents;
	});
}

function buildAndAdd() {
	var reportId = $('#viewList option:selected').attr('data-id');
	var componentId = $('#chartList option:selected').attr('data-id');
	$("#title").val($('#chartList option:selected').val());
	var url = getrequestUrl() + "/reportsplus/reportInclude.jsp?reportId=" + reportId + "&showComponents=" +
			encodeURIComponent(componentId);
	$('#source').val(url);
}

/**
 * 
 */
function deleteUpdate(db, widgetId) //remove widget from database
{
	jQuery.support.cors = true;
	cvUtil.loadPageWithSessionCheck(cvUtil.getContextPath() + "/server/deleteCustomDashboard.do", {
		dashboardId : dashboardId,
		widgetId : widgetId
	}, function(data, text, xhr) {
		cvUtil.toast("Report deleted from the dashboard succesfully");
	});
}
function adjustLayout() {
	var win = $(window);
	if (win.width() < 984) {
		$("body").addClass("smallLayout");
	} else {
		$("body").removeClass("smallLayout");
	}
}