(function() {
	'use strict';

	var healthApp = angular.module("healthDashboardApp");

	healthApp.controller("iconTextController", [ "$scope", "healthUtilService", function($scope, healthUtilService) {
		$scope.hasStrike3 = false;
		$scope.hasStrike2 = false;
		$scope.hasStrike1 = false;
		$scope.strike3Text = "";
		$scope.strike2Text = "";
		$scope.strike1Text = "";

		if ($scope.tile.tileId == 12) {
			$.each($scope.tile.outcomes, function(index, outcome) {
				if (outcome.property) {
					if (outcome.property.style === 'Strike3') {
						$scope.hasStrike3 = true;
						$scope.strike3Text = outcome.value;
					} else if (outcome.property.style === 'Strike2') {
						$scope.hasStrike2 = true;
						$scope.strike2Text = outcome.value;
					} else if (outcome.property.style === 'Strike1') {
						$scope.hasStrike1 = true;
						$scope.strike1Text = outcome.value;
					}
				}

			});
		}

		$scope.isStrike = function() {
			return $scope.tile.tileId == 12;
		}

	} ]);
}());