<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<fmt:bundle basename="localization.SurveyMessages">

<div id="tile" data-name="{{tile.tileName}}" data-reportid = "{{tile.tileId}}" data-ng-controller="tileController" data-ng-mouseover="showOptions()" data-ng-mouseleave="hideOptions()"  >
 
   			
	<div id="tileHeader">
		<h4 class="tileTitle" >  <label class="tileIcon" data-ng-class="{'sprite reports-health-critical': isCritical(tile),'sprite reports-health-warning': isWarning(tile),
		'sprite reports-health-good': isGood(tile),'sprite reports-health-info': isInfo(tile)}" title="{{tileToolTip}}"> 
		</label>
		<div class="titleWrapper" data-ng-if="isDetailApplicable()" >
 			<a class="healthDetailExport tileTitleText"  data-ng-class="{'detailAvailable':isDetailApplicable()}" title="{{tile.tileName}}"   
   				href="{{detailHref}}"  data-name="{{tile.tileName}}" data-position="{{tile.tilePositionIndex}}" target="_blank">{{tile.tileName}}</a>	
   		</div>	
   		<div class="titleWrapper" data-ng-if="!isDetailApplicable()" >
	   		<label class="tileTitleText staticTitle"  data-ng-class="{'detailAvailable':isDetailApplicable()}"  
	   		 title="{{tile.tileName}}">{{tile.tileName}} </label>			
		</div>	 
		</h4>
	
	 	<div data-ng-show="isShowOptions"  class="dropdown-selector" id="menu-component-div" >
     	<button class="page-action-button" data-toggle="dropdown-selector" data-ng-click="showDropdownMenu($event)"><span>...</span></button>
            <ul class="dropdown-selector-menu hide">
            	<li   data-ng-show="isDetailApplicable()"  class="dropdown-selector-menu-item" title='<fmt:message key="Health_View_Details_Tooltip" />'  data-ng-click="viewDetails()"><fmt:message key="Health_View_Details_Tooltip" />
               </li>
            	<li    class="dropdown-selector-menu-item" title='<fmt:message key="Health_Hide_Tile_Tooltip" />'  data-ng-click="hideTile()"><fmt:message key="Health_Hide_Tile_Tooltip" />
               </li>
               <li     class="dropdown-selector-menu-item" title='<fmt:message key="Health_Create_Alert_Tooltip" />'  data-ng-click="openAlarmsDialog(tile.tileId, tile.tileName)"><fmt:message key="health.alert" />
               </li>
               <li     class="dropdown-selector-menu-item" title='<fmt:message key="health.refresh" />'  data-ng-click="refreshTile()"><fmt:message key="health.refresh" />
               </li>
           </ul>
     </div>
	
	
	</div>
	<div id="statusDiv" data-ng-class="{'tileWarning': isWarning(tile), 'tileCritical':isCritical(tile), 'tileGood':isGood(tile), 'tileInfo':isInfo(tile)}">
	</div>
	 
	<div class="tileDetail" id="tile_{{tile.tileId}}" data-ng-class="{halfTile:isHalfTile(), fullTile:isFullTile()}">
		<div id="reportArea" id="ng-app" data-ng-app="reports">
			<div  data-ng-controller="reportsCtrl " data-ng-init="init(tile.tileId, '',false, opts)">
				<div id="handler-app"  data-ng-controller="actionEventCtrl" ></div>
				<div id="pageDiv" data-ng-controller="pageController" class="maskLayer" data-ng-class="{'isMasked':masked}" >
			
					<jsp:include page="../reportsplus/titleHeader.jsp">
						<jsp:param name="includeTitle" value="false" />
					</jsp:include>	
			
					<div data-ng-include="'${pageContext.request.contextPath}/reportsplus/templates/reportComponents/viewerPage.jsp'"></div>
				</div>
			</div>
		</div>
		
</div>
</div>
</fmt:bundle>
