<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:bundle basename="localization.ReportsMessages">
	<jsp:include page="../common/header.jsp">
		<jsp:param value="true" name="includeMask" />
		<jsp:param value="true" name="includeSecHeader" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="" name="titleLocalized" />
		<jsp:param value="dialog" name="displayMode" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/common/css/cvdialog.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/asBuiltGuide.css" name="css"/>
		<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
	</jsp:include>

	<div id="CS-export-dialog">
		<fieldset class="AsbuildFieldSet">
			   	 <label for="name"><fmt:message key="CustomerName" /></label>
		    	<input type="text" class="ui-widget-content ui-corner-all text" id="name" name="field_name">
		</fieldset>
		<Br>
 		<p id="validateTips" class="validateTips" ><fmt:message key="Customer_name_should_be_less_than_50" /></p>
 		<div class="dataSourcediv"><fmt:message key="DataSource" />
	      <input type="radio" id="dataBase" name="dataSource" value="bataBase" checked>
	      <label for="radio1"><fmt:message key="Database" /></label>

	      <input type="radio" id="xml" name="dataSource"value="xml">
	      <label for="xml">XML</label>
		</div>
	</div>
</fmt:bundle>
	<div class="btns" >
			<fmt:bundle basename="localization.messages">
				<a href="#" id="cancelButton"><fmt:message key="Cancel" /></a>
				<a href="#" id="proceedButton" class="okSaveButton"><fmt:message key="Submit" /></a>
		</fmt:bundle>
	</div>

<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
		$(document).ready(function() {
 			   $("CS-export-dialog-form").bind("keypress", function(e) {
       			 if (e.keyCode == 13) {
          				 return false;
       			 }
    		 });
			$("#CS-export-dialog").focus();
			$("#proceedButton").click(function(e) {
				var name = $("#name");
				var dataSource = $(".dataSourcediv input[name=dataSource]:checked").val();
				if(asBuiltGuide.checkLength( name, "name", 1, 50 )) {
					if(dataSource == "xml") {
						asBuiltGuide.doesFileExist(function(fileExists) {
							if(fileExists == "true"){
								cvUtil.getTopWindow().asBuiltGuide.proceed(name, dataSource);
								cvUtil.closeModal();
							}
							else {
								$('#validateTips').text(cvUtil.cvLocalize('AsBuilt_Guide_XML_Not_Found'));
								$('#validateTips').addClass("error-message");
							}


						});
					}
					else{
						cvUtil.getTopWindow().asBuiltGuide.proceed(name, dataSource);
						cvUtil.closeModal();
					}
				}
				e.preventDefault();
			});
			$("#cancelButton").click(function(e) {
				 $( "#name" ).val( "" );
				 cvUtil.closeModal();
			});
		});
</script>
<jsp:include page="../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/reports/js/asBuiltGuide.js" name="js"/>

</jsp:include>
