<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib uri="../WEB-INF/cvtaglib.tld" prefix="cv"%>

<fmt:bundle basename="localization.SurveyMessages">
	<fmt:message key="company.new_company" var="newCompany"/>
	<fmt:message key="company.edit_company" var="editCompany"/>
	<fmt:message key="company.update" var="updateCompany"/>
	<fmt:message key="company.save" var="saveCompany"/>
	<fmt:message key="company.commcell_list_error" var="commcellListError"/>
	<fmt:message key="company.user_list_error" var="userListError"/>
	<fmt:message key="Something_went_wrong_please_try_again" var="companyError"/>
	<fmt:message key="user.exist" var="userExist"/>
	<fmt:message key="company.error.prefix" var="errorPrefix"/>
	<fmt:message key="company.error.name" var="errorName"/>
	<fmt:message key="company.error.commcell" var="errorCommcell"/>

</fmt:bundle>


<fmt:bundle basename="localization.ReportsMessages">
	<jsp:include page="../common/header.jsp">
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.multiselect.css" name="css" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/applicationstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/commCellGroupHandling.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/summary/css/summarystyles.css" name="css" />
		 <jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/cvdialog.css" name="css" />
		<jsp:param value="reports/reportsBase.jsp" name="jsp" />
		<jsp:param value="true" name="includeHistory" />
		<jsp:param value="true" name="includeTableSupport" />
		<jsp:param value="true" name="includeCustomSelect" />
		 <jsp:param value="true" name="bootstrapped" />
		<jsp:param value="true" name="reportsNav" />

		<jsp:param value="false" name="changeSurvey" />
		<jsp:param value="report" name="appName" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
		<jsp:param value="Create CommCell Group" name="titleLocalized" />
		<jsp:param value="Create CommCell Group" name="headerTitleLocalized" />
	</jsp:include>
	<jsp:include page="../survey/reports/surveyHeader.jsp">
		<jsp:param value="true" name="changePage" />
		<jsp:param name="welcomeMsg" value="Create CommCell Group" />
		<jsp:param name="includeBreadcrumb" value="true" />
		<jsp:param value="commcellUrl" name="headerLinks" />
		<jsp:param name="commcells" value="true" />
		<jsp:param value="false" name="includeCROptionBeforeSearch" />
		<jsp:param value="true" name="disbaleExport" />
		<jsp:param name="showTabs" value="true" />
	</jsp:include>
</fmt:bundle>

	<div id="noDataNotificationPanel"
		style="text-align: center; display: none;"></div>
	<div id="commCellGroup" comp="commCellGroup"
		data-component-type="METRICS_TABLE"
		class="clearFloat reportTable reportView commCellGroup_table">
		<div id="groupNamePanel">
				<div id="commcellGroupDetails">
					<fmt:bundle basename="localization.SurveyMessages">
					<label id="nameLabel"><fmt:message key="company.company_name"/></label>
					<div id="prefixWrapper" class="groupFields">
						<input  type="text" id="ccPrefix" placeholder="<fmt:message key='company.selectPrefix'/>"/>
						<span class="sprite icon-arrow-dropdown"></span>
						<div id="prefixMenuWrapper" class="dropdown-wrapper">
								<div class="search-wrapper" id="prefixSearchWrapper">
									<input type="text" class="search-box" id="searchBox" placeholder="<fmt:message key='company.search'/>">
									<span class="sprite reports-actions-xbutton" id="clearSearchBox" title="<fmt:message key='company.clear_search_field'/>"> </span>
								</div>
								<ul class="dropdown-list" id="prefixList">
								</ul>
						</div>
					</div>
					<div id="nameWrapper" class="groupFields">
						<input id ="companyName" type="text" placeholder="<fmt:message key='company.name.placeholder'/>"  >
						<input id="companyId" type="text" class="hidden">
					</div>

					</fmt:bundle>
					<fmt:bundle basename="localization.ReportsMessages">
						<div id="commCellGroupbuttons" class="btns hideOnExportFriendly">
							<a id="cancelButton" href="${pageContext.request.contextPath}/survey/reports/viewReport.jsp?reportId=RegisteredCompanies"><fmt:message
							key="CancelButtonText" /></a> <a class="okSaveButton"
							id="submit_new_group_Details" href="#"><fmt:message key="Save" /></a>

						</div>
					</fmt:bundle>


				</div>
			<p id="validateTips" class="validateTips"></p>
		</div>

		<div class="clearFloat"></div>

		<div class="tabPanel">
			<fmt:bundle basename="localization.SurveyMessages">
			<ul>
				<li> <div id="commcellsTab" class="tabItem commcellsTab selected"><fmt:message key="company.commcells"/></div></li>
				<li> <div id="usersTab" class="tabItem usersTab"><fmt:message key="company.users"/></div></li>
			</ul>
			</fmt:bundle>
		</div>
		<div id="commcellList" class="tabContent">
			<fmt:bundle basename="localization.ReportsMessages">
				<div class="rptTblBtnEncDiv">
					<div id="commCellGroup_Filter" class="reports_Filter hideOnExportFriendly">
						<input id="commCellGroup_FilterButton" class="tableFilter" type="button" value=""  title="<fmt:message key="Filter_Cols"/>" />
						<input type="hidden" id="commCellGroup_FilterSelected" />
					</div>

				</div>
			</fmt:bundle>
			<table id="commCellGroup_table" class="display"></table>
				<div class="clearFloat"></div>
		</div>

		<fmt:bundle basename="localization.SurveyMessages">
		<div id="userList" class="tabContent">
			<div id="userTabButtonPanel" class="hideOnExportFriendly">
				<div id="addCompanyUser" title="<fmt:message key="company.add_user"/>">
					<span class="sprite icon-plus"></span>
					<span><fmt:message key="company.add_user"/></span>
				</div>
			</div>
			<table id="commCellGroupUser_table" class="display"></table>
			<div class="clearFloat"></div>
		</div>

		<div id="add-user-dialog" title='<fmt:message key="Add_User" />'>
		  		<div id="addUserDialogWrapper" class='hide'>
					<label for="labelFullName" id="labelFullName" class="label"><fmt:message key="company.company_name" /></label>
					<input type="text" data-validation="^[^\/\\@]{1,40}$" data-msg='<fmt:message key="First_Name_Prompt" />' class="textbox" name="userName" id="userName">
					<label for="email" id="labelEmail" class="label"><fmt:message key="Email" /></label>
					<input type="text" data-validation="^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$" data-msg='<fmt:message key="Valid_Email" />' class="textbox" name="email" id="email">
		  		</div>
		</div>
		</fmt:bundle>

	</div>




<jsp:include page="../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/mustache.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/reports/js/commCellGroupEditor.js" name="js" />
</jsp:include>



<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
	var localMsg = localMsg || {};
	localMsg.newCompany="${newCompany}";
	localMsg.editCompany="${editCompany}";
	localMsg.updateCompany="${updateCompany}";
	localMsg.saveCompany="${saveCompany}";
	localMsg.commcellListError="${commcellListError}";
	localMsg.userListError="${userListError}";
	localMsg.companyError="${companyError}";
	localMsg.userExist = "${userExist}";
	localMsg.errorPrefix="${errorPrefix}";
	localMsg.errorName="${errorName}";
	localMsg.errorCommcell="${errorCommcell}";

	var loggedInUserName = "${sessionScope.username}";

</script>
