<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<fmt:bundle basename="localization.ReportsMessages">

<jsp:include page="../common/header.jsp">	
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="showSettings" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions"/>
	<jsp:param value="true" name="noSearchReport"/>
	<jsp:param value="true" name="changePage" />
	<jsp:param value="CommCell_Growth_Report" name="title" />
	<jsp:param value="CommCell_Growth_Report" name="headerTitle" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/dynatree/ui.dynatree.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css" name="css"/>
  	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
  	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports_modified.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css"/>
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeHistory"/> 	
 	
	<jsp:param value="true" name="includeTableSupport"/>
	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
</jsp:include>

<%@ include file="reportsBaseBody.jsp" %>

		<div id="filter-panel-cont"  class="commcellFilterPanel">
		<div id="filter-panel-wrapper">
		<div id="filterPanel">
			
				<div class="optCols">
					<div class="optCol1">
						<div class="option-title" ><fmt:message key="CommCellGrowth.GrowthTypes"/></div>
						
						<ul class="horizontalList">
							<li><div id="configuration" class="custom-cb growthType" data-state="unchecked"></div><span class="custom-cb-label"> <fmt:message key="CommCellGrowth.Configuration" /></span></li>
							<li ><div id="data" class="custom-cb growthType" data-state="unchecked"></div><span class="custom-cb-label" > <fmt:message key="CommCellGrowth.Data"/></span></li>
							<li class="row2"><div id="activity" class="custom-cb growthType" data-state="unchecked"></div><span class="custom-cb-label"> <fmt:message key="CommCellGrowth.Activity" /></span></li>
							<li><div id="license" class="custom-cb growthType" data-state="unchecked"></div><span class="custom-cb-label" > <fmt:message key="CommCellGrowth.Capacity" /></span></li>
						</ul>
						
			
						<div class="clrfloat"></div>
					</div>
			<div class="optCol2">
			<div class="option-title" ><fmt:message key="TimeFrame"/></div>
				<div class="option" id="relativePanel">
					<label for='lastN'><fmt:message key="TimeFrame.Last"/></label> 
					<input type="text" id="lastN" value="0" />
					<select id="frequency">
					  <option value="Daily"><fmt:message key="TimeFrame.Days"/></option>
					  <option value="Weekly"><fmt:message key="TimeFrame.Weeks"/></option>
					  <option value="Monthly"><fmt:message key="TimeFrame.Months"/></option>
					  <option value="Yearly"><fmt:message key="TimeFrame.Years"/></option>
					</select>
					<label><fmt:message key="TimeFrame.Before"/></label>
					<input id="endTime" type="text" value="" name="toTime" placeholder="<fmt:message key="TimeFrame.EndTime"/>">
					<span id="predictionPanel">
						<label><fmt:message key="CommCellGrowth.PredictNext"/>&nbsp;&nbsp;</label><input type="text" id="predictNext" value="4" />	 
					</span>
				</div>
				<div class="clrfloat"></div>
			</div>
			<div class="clrfloat"></div>
					</div>
				
				</div></div>
		
		<input id="btngenerate" type="button" value=<fmt:message key="Generate" />>
		<div class="clrfloat"></div>
		</div>
		
		

	<fmt:message key="CommCellGrowth.CapacityDetail" var="capacityDetail" />
	<fmt:message key="CommCellGrowth.CapacityGrowth" var="capacityGrowth" />
	<fmt:message key="CommCellGrowth.ConfigurationDetail" var="configurationDetail" />
	<fmt:message key="CommCellGrowth.ConfigurationGrowth" var="configurationGrowth" />
	<fmt:message key="CommCellGrowth.DataDetail" var="dataDetail" />
	<fmt:message key="CommCellGrowth.DataGrowth" var="dataGrowth" />
	<fmt:message key="CommCellGrowth.ActivityDetail" var="activityDetail" />
	<fmt:message key="CommCellGrowth.ActivityGrowth" var="activityGrowth" />
	
 
		<jsp:include page="commcellgrowth_sub.jsp">	
				<jsp:param name="id" value="license" />
				<jsp:param name="tableTitle" value='${capacityDetail}'/>
				<jsp:param name="title" value='${capacityGrowth}'/>
		</jsp:include>
		
		<jsp:include page="commcellgrowth_sub.jsp">	
				<jsp:param name="id" value="configuration" />
				<jsp:param name="tableTitle" value='${configurationDetail}' />
				<jsp:param name="title" value='${configurationGrowth}'/>
		</jsp:include>
			
			
		<jsp:include page="commcellgrowth_sub.jsp">	
				<jsp:param name="id" value="data" />
				<jsp:param name="tableTitle" value='${dataDetail}'/>
				<jsp:param name="title" value='${dataGrowth}'/>
		</jsp:include>
		
		<jsp:include page="commcellgrowth_sub.jsp">	
				<jsp:param name="id" value="activity" />
				<jsp:param name="tableTitle" value='${activityDetail}'/>
				<jsp:param name="title" value='${activityGrowth}' />
		</jsp:include>
		
		
					
</fmt:bundle>
<jsp:include page="../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/g.raphael.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-line.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-bar.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/custom-pie.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/dynatree/jquery.dynatree.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/reports/js/commcellgrowth.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/js/ui.multiselect.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
</jsp:include>
