<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<fmt:bundle basename="localization.ReportsMessages">

<jsp:include page="../common/header.jsp">	
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="showSettings" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="noSearchReport"/>
	<jsp:param value="true" name="changePage" />
	<jsp:param value="CommCell_Growth_Report" name="title" />
	<jsp:param value="CommCell_Growth_Report" name="headerTitle" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/dynatree/ui.dynatree.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css" name="css"/>
  	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
  	<jsp:param value="${pageContext.request.contextPath}/reports/css/growth.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css"/>
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeHistory"/> 	
 	
	<jsp:param value="true" name="includeTableSupport"/>
	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
</jsp:include>


<%@ include file="reportsBaseBody.jsp" %>

	<fmt:message key="CommCellGrowth.DataProtectionEnterpriseGrowth" var="DataProtectionEnterprise" />
	<fmt:message key="CommCellGrowth.DataProtectionCoreGrowth" var="DataProtectionCoreGrowth" />
	<fmt:message key="CommCellGrowth.DataArchiveEnterpriseGrowth" var="DataArchiveEnterpriseGrowth" />
	<fmt:message key="CommCellGrowth.DataArchiveCoreGrowth" var="DataArchiveCoreGrowth" />
	<fmt:message key="CommCellGrowth.Replication" var="Replication" />
	<fmt:message key="CommCellGrowth.Snapshot" var="Snapshot" />
	
	<script nonce="${sessionScope.cspNonce}" >
		var docBaseURL="${applicationScope.DOCUMENTATION_LINK}";
	</script>

	
	<div id="GrowthContentWrapper">	
	<div  class="chartTitle" >
			<h1><fmt:message key="CommCellGrowth.CapacityLicenseGrowth"/></h1>
			<h1 id="timeStamp"></h1>
	</div>
	<div id="GrowthHeader">
		<table id="growthHeaderTable">
		</table>
		
	</div>		
	
<!-- 	<div id="GrowthChartsWrapper"> -->
		 
		
		<jsp:include page="growthReport_sub.jsp">	
			<jsp:param name="id" value="protectionEnterprise" />
			<jsp:param name="title" value='${DataProtectionEnterprise}'/>
			<jsp:param name="image_path" value="img" />
		</jsp:include>
		
		<jsp:include page="growthReport_sub.jsp">	
			<jsp:param name="id" value="protectionCore" />
			<jsp:param name="title" value='${DataProtectionCoreGrowth}'/>
			<jsp:param name="image_path" value="img" />
		</jsp:include>		
		
		
		<jsp:include page="growthReport_sub.jsp">	
			<jsp:param name="id" value="archiveEnterprise" />
			<jsp:param name="title" value='${DataArchiveEnterpriseGrowth}'/>
			<jsp:param name="image_path" value="img" />
		</jsp:include>
		
		
		<jsp:include page="growthReport_sub.jsp">	
			<jsp:param name="id" value="archiveCore" />
			<jsp:param name="title" value='${DataArchiveCoreGrowth}'/>
			<jsp:param name="image_path" value="img" />
		</jsp:include>
		
		<jsp:include page="growthReport_sub.jsp">	
			<jsp:param name="id" value="replication" />
			<jsp:param name="title" value='${Replication}'/>
			<jsp:param name="image_path" value="img" />
		</jsp:include>
		
		<jsp:include page="growthReport_sub.jsp">	
			<jsp:param name="id" value="snapshot" />
			<jsp:param name="title" value='${Snapshot}'/>
			<jsp:param name="image_path" value="img" />
		</jsp:include>
		
		<div id="growthFooter">
				<h2> <a id="helpLink" href="#" target="_blank"><fmt:message key="CommCellGrowth.HowCapacityCalculated"/></a></h2>
				<div id="growthLegend">
				<ul>
					<li><fmt:message key="CommCellGrowth.UsageLevel"/></li>
					<li> <span class="sprite icon-line-green"></span> <fmt:message key="CommCellGrowth.LessThan80"/></li>
					<li> <span class="sprite icon-line-yellow"></span> <fmt:message key="CommCellGrowth.Between80And95"/></li>
					<li> <span class="sprite icon-line-red"></span> <fmt:message key="CommCellGrowth.Above95"/></li>
				</ul>
	</div>	
				
		</div>
<!-- 	</div> -->
	</div>
	
	
				
</fmt:bundle>

<jsp:include page="../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/g.raphael.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-line.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-bar.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/custom-pie.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/dynatree/jquery.dynatree.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/reports/js/growthRepCommon.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/reports/js/growthReport.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/js/ui.multiselect.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
</jsp:include>
