<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<fmt:bundle basename="commvault.web.reports.ReportsMessages">

<jsp:include page="../common/header.jsp">	
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="showSettings" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions"/>
	<jsp:param value="true" name="changePage" />
	<jsp:param value="GUI_Audit_Trail_Report" name="title" />
	<jsp:param value="GUI_Audit_Trail_Report" name="headerTitle" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/dynatree/ui.dynatree.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css" name="css"/>
  	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
	<jsp:param value="reports/reportsBase.jsp" name="jsp"/> 	
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeHistory"/> 	
 	<jsp:param value="true" name="includeTableSupport"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css"/>
 	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
</jsp:include>
<%@ include file="reportsBaseBody.jsp" %>

	<div id="ContentWrapper">	
		<div id="filter-panel-cont">
		<div id="filter-panel-wrapper">
		<div id="filterPanel">
			<h3><a href="#">Users</a></h3>
			<div>
				<div id="tree">  </div>
			</div>
			
			
			<h3><a href="#">Playback Level</a></h3>
			<div id="playbackparent" class="clearFloat option">
			
				<div id="playbackAllDiv">
					 <div class="custom-cb" id="all" data-state="unchecked"></div><span class="custom-cb-label" >All</span>
				</div>
				
				<ul>
					<li>
						<ul class="horizontalList">
							<li class="col1"> <div id="critical" class="custom-cb playback" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Critical" /></span></li>
							<li><div id="high" class="custom-cb playback" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="High" /></span></li>
							<li class="col1"><div id="medium" class="custom-cb playback" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Medium" /></span></li>
							<li><div id="low" class="custom-cb playback" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Low" /></span></li>
						</ul>
					</li>
				</ul>
				
				<div id="playback-error" class="error-note"><span class="paintred" >Note:</span> Please select at least one Playback level to generate the report
				</div>
			</div>
			
			<h3 class="lastAccordian"><a href="#">Time Frame</a></h3>
			<div class="clearFloat option lastAccordian">
				<%@ include file="timeframe.jsp" %>
			</div>	
			<h3><a href="#">Search String</a></h3>
			<div id="searchparent" class="clearFloat option">
				<ul>
					<li>
						<input type="text" size="30" id="searchstring" class="textbox">
					</li>
				</ul>
			</div>		
		</div>							
		</div>
		<input id="btngenerate" type="button" value='<fmt:message key="Generate" />'>
		</div>
		
		<div id="chartContentWrapper">
			
			<ul id="breadCrumbPanel">
			</ul>
			<div id="chartTitleDiv">
			<div id="chartTitle"></div>
			</div>
<!--			<div id="selectGrpDiv">
			<div class="selectWrapper">
			<select id="groupByPanel">
				<option id="PlayBack"><fmt:message key="By_PlayBack" /></option>
				<option id="User"><fmt:message key="By_User" /></option>
			</select>
			</div>
			</div> -->
			<div id="piechartcontainer">
			</div>
				
		</div>
	</div>
		<jsp:include page="reportstable.jsp">	
				<jsp:param name="id" value="auditTrail" />
				<jsp:param name="tabletitle" value='Summary' />
				<jsp:param name="clientside" value="true" />
		</jsp:include>

</fmt:bundle>
<div class="clearFloat"></div>
<jsp:include page="../common/footer.jsp">
<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.min.js" name="js"/>
<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js"/>
<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/custom-pie.js" name="js"/>
<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
<jsp:param value="${pageContext.request.contextPath}/common/js/dynatree/jquery.dynatree.js" name="js"/>
<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
<jsp:param value="${pageContext.request.contextPath}/reports/js/guiAuditTrail.js" name="js"/>
<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/> 
<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
<jsp:param value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js" name="js"/>
<jsp:param value="${pageContext.request.contextPath}/common/multiselect/js/ui.multiselect.js" name="js"/>
<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
</jsp:include>
