<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib uri="../WEB-INF/cvtaglib.tld" prefix="cv" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>


<c:set var="isAdminUser" value='false' scope="page" />
<cv:reportsTag name="adminRight" id="999">
	<c:set var="isAdminUser" value='true' scope="page" />
</cv:reportsTag>
<c:set var="enableCommCellGroupOp" value='false' scope="page" />
<c:set var="enableCommCellOp" value='false' scope="page" />

<c:choose>
<c:when test="${(sessionScope.isCommCellGroupAdminUser == 'true') and (param.ccGroups == 'true')}">
	<c:set var="enableCommCellGroupOp" value='true' scope="page" />
</c:when>
<c:when test="${(!sessionScope.isPublicMetricsCloud || isAdminUser == 'true') and (param.ccGroups != 'true')}">
	<c:set var="enableCommCellOp" value='true' scope="page" />
</c:when>
</c:choose>
<c:set var="isPublicMetrics" value='true' scope="page" />
<c:if test="${applicationScope.isPublicMetricsCloud == null || applicationScope.isPublicMetricsCloud == 'false'}">
	<c:set var="isPublicMetrics" value='false' scope="page" />
</c:if>
<fmt:bundle basename="localization.SurveyMessages">
<jsp:include page="../common/header.jsp">

	<jsp:param value="false" name="includeSecHeader" />
	<jsp:param value="" name="changePage" />
	<jsp:param value="Dashboard" name="title" />
	<jsp:param value="Commcell Dashboard" name="headerTitle" />
	<jsp:param value="true" name="includeJqueryUI" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>

	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/applicationstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/reports.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
	<jsp:param value="Commcell Dashboard" name="titleLocalized" />
	<jsp:param value="reports/reportsBase.jsp" name="jsp" />
	<jsp:param value="reports/reportImportExport.jsp" name="jsp" />
	<jsp:param value="false" name="includeTableSupport" />
 	<jsp:param value="true" name="includeHistory"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/qtip/jquery.qtip.min.css" name="css" />
 	<jsp:param value="true" name="bootstrapped" />
 	<jsp:param value="true" name="reportsNav" />
 	<jsp:param value="true" name="changePage" />
 	<jsp:param value="true" name="newDashboard" />
	<jsp:param name="welcomeMsg" value="" />
	<jsp:param name="searchCC" value="true" />
	<jsp:param name="showTabs" value="true" />
	<jsp:param name="includeDashboardBreadcrumb" value="true" />
	<jsp:param name="includeCROptionBeforeSearch" value="true" />
	<jsp:param value="true" name="exportPdf"/>
	<jsp:param value="true" name="exportHtml"/>
	<jsp:param value="true" name="printButton"/>
	<jsp:param value="true" name="exportEnabled"/>
	<jsp:param value="true" name="usersManagement"/>
	<jsp:param value="true" name="QuarterlyPPT" />
	<jsp:param value="true" name="showCloudDocs"/>

	<jsp:param value="${pageContext.request.contextPath}/reports/css/reportsHome.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
	<jsp:param value="false" name="changeSurvey" />
	<jsp:param value="report" name="appName" />


</jsp:include>

		<div id="dashboardTabs" class="clear-both">
		        <cv:secureTag name="Survey" id="14">
                     	<c:set var="surveyEnabled" value="true" />
                </cv:secureTag>
				<c:if test="${surveyEnabled == 'true'}">
					<!-- New Dashboard  -->

					<div id="Dashboard" class="rightDivs" style="display: none">
						<div>
							<jsp:include page="newDashboard.jsp" >
								<jsp:param	name="title" value="CommCell Dashboard"/>
							</jsp:include>
						</div>
					</div>
				<!-- End New Dashboard -->
				</c:if>

				<!-- Reports  -->
					<div id="Reports" class="rightDivs" style="display: none">
						<div>
							<jsp:include page="/reports/reportsHome.jsp" >
								<jsp:param value="Reports" name="title" />
							</jsp:include>
						</div>
					</div>
				<!-- End Reports -->

		</div>
<style>
#secTitleDiv{
	display:none;
}
.surveyHead{
	margin-top:35px;
}
</style>




<form id="exportForm" action="${pageContext.request.contextPath}/server/doDownload" method="get">
		<input id="downloadType" type='hidden' name='type' value='report' />
		<input id="fileNameToDownload" type='hidden' name='fileName' value='' />
</form>
<fmt:message key="trialext.submittedinfo" var="surv_trialext_subinf"/>
<fmt:message key="trialext.submitted" var="surv_trialext_sub"/>
<fmt:message key="trialext.unexpectederror" var="surv_trialext_error"/>
<fmt:message key="trialext.req" var="surv_trialext_req"/>
<script nonce="${sessionScope.cspNonce}" type="text/javascript">

var localMsg = localMsg || {};
localMsg.trialext_submittedinfo = "${surv_trialext_subinf}";
localMsg.trialext_submitted = "${surv_trialext_sub}";
localMsg.trialext_error = "${surv_trialext_error}";
localMsg.trialext_req = "${surv_trialext_req}";
</script>
</fmt:bundle>
<jsp:include page="../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>

	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/reports/js/reportsHome.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/reports/js/asBuiltGuide.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/reports/js/reportsAdvanceSearch.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/reports/js/crUtil.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/cvplaceholder.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js" />
    <jsp:param value="true" name="bootstrapped" />
</jsp:include>

<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>


