<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>


<c:set var="isAdminUser" value='false' scope="page" />
	<cv:reportsTag name="adminRight" id="999">
	    <c:set var="isAdminUser" value='true' scope="page" />
</cv:reportsTag>

<fmt:bundle basename="localization.ReportsMessages">

<jsp:include page="../common/header.jsp">
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="changePage" />
	<jsp:param value="true" name="classicReport"/>
	<jsp:param value="Job_Summary_Report" name="title" />
	<jsp:param value="Job_Summary_Report" name="headerTitle" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/dynatree/ui.dynatree.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css" name="css"/>
  	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
  	<jsp:param value="${pageContext.request.contextPath}/reports/css/sla.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeHistory"/>
 	<jsp:param value="true" name="includeTableSupport"/>
 	<jsp:param value="true" name="showSettings"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
	<jsp:param value="true" name="bootstrapped" />
	<jsp:param value="true" name="reportsNav" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/settings/settings.css" name="css" />
 	<jsp:param value="true" name="includeCustomSelect"/>
</jsp:include>


<%@ include file="reportsBaseBody.jsp" %>

		<div id="ContentWrapper"  class="jobsummaryReport">

		<div id="reportTaskSummaryDiv" class="showOnExportFriendly clearFloat" comp="reportTaskSummaryDiv"  data-component-type="EB_HTML">
			<div id="reportTaskSummary" class="tabular clearfix"></div>
		</div>

		<fmt:message key="Search" var="searchMessage" />
		<div id="filter-panel-cont" class="clearfix hideOnExportFriendly">
		<div id="filter-panel-wrapper">
		<div id="filterPanel">
			<h3><a href="#"><fmt:message key="ClientsAndClientGroups"/></a></h3>
				<div id="selectionDivPanel">
					<div id="groupSelectionPanel">
						<div id="groupSelectionHead">
							<p id="groupSelectionArrow"></p>
							<fmt:message key="ClientGroups" />
						</div>
						<div id="groupDetailPanel">
							<div>
								<input type="text" class="searchBelowULlist" id="clientGroupSearch" data-target-ul="clientGroupsFilterList" placeholder="${searchMessage}"/>
								<span class="search-close-icon">x</span>
							</div>
							<ul id="clientGroupsFilterList" style="margin-left:10px;">  </ul>
						</div>
					</div>
					<div id="clientSelectionPanel">
						<div id="selectionHead">
							<p id="selectionArrow"></p>
							<fmt:message key="Clients" />
						</div>
						<div id="clientDetailPanel">
							<div>
								<input type="text" class="searchBelowULlist"  id="clientsSearch" data-target-ul="clientFilterList" placeholder="${searchMessage}"/>
								<span class="search-close-icon">x</span>
							</div>
							<div id="clientMsg" class="clientMessage"><fmt:message key="EmptySearch"/><span class="msg-close-icon">x</span></div>
							<div id="tooManyClientMsg" class="clientMessage"><fmt:message key="OverLimit"/></div>
							<ul id="clientFilterList"  style="margin-left:10px;">  </ul>
						</div>
					</div>


				</div>


			<h3><a href="#"><fmt:message key="Agents"/></a></h3>
				<div class="clearFloat option">
					<ul id="agentFilterList" style="margin-left:10px;">  </ul>
				</div>

			<h3><a href="#"><fmt:message key="Media_Agents" /></a></h3>
				<div class="clearFloat option">
					<ul id="mediaAgentFilterList" style="margin-left:10px;">  </ul>
				</div>

			<h3><a href="#"><fmt:message key="storage_policies" /></a></h3>
				<div class="clearFloat option">
					<ul id="storagePolicyFilterList" style="margin-left:10px;">  </ul>
				</div>

			<h3><a href="#"><fmt:message key="Operation_Type"/></a></h3>
				<div id="operationTypeParent" class="clearFloat option">

					<div id="operationTypeAllDiv">
						 <div class="custom-cb" id="operationTypeAll" data-state="checked"></div><span class="custom-cb-label" ><fmt:message key="All"/></span>
					</div>
					<ul>
						<li>
							<ul class="horizontalList">
								<li class="col1"> <div id="opBackup" class="custom-cb operationType" data-state="checked"></div><span class="custom-cb-label" ><fmt:message key="Backup" /></span></li>
								<li><div id="opArchive" class="custom-cb operationType" data-state="checked"></div><span class="custom-cb-label" ><fmt:message key="Archive" /></span></li>
						</ul>
						</li>
					</ul>
				</div>
			<h3><a href="#"><fmt:message key="JobTypes"/></a></h3>
				<div id="optionsdiv">
					<%-- <div class="option" id="opertaion_div">
						<span class="option-title" ><fmt:message key="Operation" /></span>
						<ul class="horizontalList">
							<li class="col1"><div id="backup" class="custom-cb jobtype unchecked" data-state="unchecked"></div><span class="custom-cb-label"><fmt:message key="Backup" /></span></li>
							<li><div id="restore" class="custom-cb jobtype unchecked" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Restore" /></span></li>
							<li class="col1"><div id="admin" class="custom-cb jobtype unchecked" data-state="unchecked"></div><span class="custom-cb-label"><fmt:message key="Admin" /></span></li>
						</ul>
					</div> --%>
					<div class="clearFloat option">
						<%-- <span class="option-title" ><fmt:message key="Backup_Types" /></span> --%>
						<ul class="horizontalList">
							<li class="col1"><div id="full" class="custom-cb backuptype" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Full" /></span></li>
							<li><div id="incremental" class="custom-cb backuptype" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Incremental" /></span></li>
							<li class="col1"><div id="synthetic" class="custom-cb backuptype" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Synthetic_Full" /></span></li>
							<li><div id="differential" class="custom-cb backuptype" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Differential" /></span></li>
							<li><div id="transactionlog" class="custom-cb backuptype" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="TRANSACTION_LOG" /></span></li>
						</ul>
					</div>
				</div>
			<h3><a href="#"><fmt:message key="Job_Status"/></a></h3>
				<div id="jobstatusparent" class="clearFloat option">

					<div id="jobstatusAllDiv">
						 <div class="custom-cb" id="all" data-state="unchecked"></div><span class="custom-cb-label" >All</span>
					</div>
					<ul>
						<li>
							<ul class="horizontalList">
								<li class="col1"> <div id="active" class="custom-cb jobstatus" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Active" /></span></li>
								<li><div id="completed" class="custom-cb jobstatus" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Completed" /></span></li>
								<li class="col1"><div id="delayed" class="custom-cb jobstatus" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Delayed" /></span></li>
								<li><div id="failed" class="custom-cb jobstatus" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Failed" /></span></li>
								<li class="col1"><div id="no_run" class="custom-cb jobstatus" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="No_Run" /></span></li>
								<li><div id="killed" class="custom-cb jobstatus" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Killed" /></span></li>
								<li><div id="completed_with_errors" class="custom-cb jobstatus" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Completed_with_Errors" /></span></li>
								<li><div id="completed_with_warnings" class="custom-cb jobstatus" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="Completed_with_warnings" /></span></li>
								<li><div id="committed" class="custom-cb jobstatus" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="job.status.committed" /></span></li>
							</ul>
						</li>
					</ul>
				</div>

			<h3><a href="#"><fmt:message key="TimeFrame"/></a></h3>
				<div id="jobSummaryTimeFrame" class="clearFloat option lastAccordian">
					<jsp:include page="timeframe.jsp?${applicationScope.BUILD_TS}">
						<jsp:param value="true" name="excludeCurrentTime"/>
					</jsp:include>
				</div>
			<h3 class="lastAccordian"><a href="#"><fmt:message key="JobSummary.Advanced"/></a></h3>
				<div class="clearFloat option lastAccordian">
					<ul class="horizontalList">
						<li><div id="includeLogDelSubClients" class="custom-cb advanced" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="JobSummary.IncludeDeconfiguredSubclients" /></span></li>
						<li><div id="includeDisabledSubClients" class="custom-cb advanced" data-state="unchecked"></div><div class="advancedItemLabel"><span class="custom-cb-label" ><fmt:message key="JobSummary.IncludeBackupActivityDisabledSubclients" /></span></div></li>
						<li><div id="includeAgedJobs" class="custom-cb advanced" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="JobSummary.IncludeAgedJobs" /></span></li>
						<li><div id="includeMediaDeletedJobs" class="custom-cb advanced" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="JobSummary.IncludeMediaDeletedJobs" /></span></li>
						<li><div id="includeBackupCopyJobs" class="custom-cb advanced" data-state="unchecked"></div><div class="advancedItemLabel"><span class="custom-cb-label" ><fmt:message key="JobSummary.IncludeBackupCopyCatalogSnapshotJobs" /></span></div></li>
						<li><div id="includeReferenceCopyJobs" class="custom-cb advanced" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="JobSummary.IncludeReferenceCopyJobs" /></span></li>
						<li><div id="lastJobOfEachSubclientOnly" class="custom-cb advanced" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="JobSummary.lastJobOfEachSubclientOnly" /></span></li>
						<li><div id="includeRetainedJobs" class="custom-cb advanced" data-state="unchecked"></div><span class="custom-cb-label"><fmt:message key="JobSummary.IncludeRetainedJobs" /></span></li>
						<li class="include-retained-jobs-container disabled">
							<input type="radio" id="includeRetainedJobs_ALL" name="includeRetainedJobsOptions" value="ALL"/> <label><fmt:message key="JobSummary.RetainedJobs.All" /></label>
							<input type="radio" id="includeRetainedJobs_BASIC" name="includeRetainedJobsOptions" value="BASIC"/> <label><fmt:message key="JobSummary.RetainedJobs.Basic" /></label>
							<input type="radio" id="includeRetainedJobs_EXTENDED" name="includeRetainedJobsOptions" value="EXTENDED"/> <label><fmt:message key="JobSummary.RetainedJobs.Extended" /></label>
							<input type="radio" id="includeRetainedJobs_MANUAL" name="includeRetainedJobsOptions" value="MANUAL"/> <label><fmt:message key="JobSummary.RetainedJobs.Manual" /></label>
						</li>
					</ul>
				</div>
		</div>
		</div>
		<div id="jobstatus-error" class="error-note"><span id="removeMe" >&nbsp;</span></div>
		<input id="btngenerate" type="button" value=<fmt:message key="Generate"/>>
		</div>
		<div id="chartContentWrapper">

		<div id="viewButtons" class="rghtFloat hideOnExportFriendly">
			<ul class="toggleButtons">
				<li id="JobStatus"><fmt:message key="By_Job_Status" /></li>
				<li id="Agent"><fmt:message key="By_Agent" /></li>
			</ul>
		</div>

		<ul id="breadCrumbPanel">
		</ul>


			<div id="chartTitleDiv">
				<div id="chartTitle"></div>
				<div id="timeRangeLabel">  </div>
			</div>

			<div id="chartPanel" comp="chartPanel" data-component-type="METRICS_CHART">
				<div id="piechartcontainer_nodata" class="showifnodata"><fmt:message key="NoDataAvailable" /></div>
				<div id="piechartcontainer" class="hideifnodata">

				</div>
			</div>


			</div>

			</div>

			<fmt:message key="Summary" var="summary"/>
			<fmt:message key="JobSummary.BackupJobs" var="backupJobs"/>
			<fmt:message key="JobSummary.RestoreJobs" var="restoreJobs"/>
			<fmt:message key="JobSummary.AdminJobs" var="adminJobs"/>

			<jsp:include page="reportstable.jsp">
				<jsp:param name="id" value="jobSummary" />
				<jsp:param name="tabletitle" value='${summary}' />
				<jsp:param name="clientside" value="true" />
			</jsp:include>

			<jsp:include page="reportstable.jsp">
				<jsp:param name="id" value="backupJobs" />
				<jsp:param name="tabletitle" value='${backupJobs}' />
			</jsp:include>

			<%-- <jsp:include page="reportstable.jsp">
				<jsp:param name="id" value="restoreJobs" />
				<jsp:param name="tabletitle" value='${restoreJobs}' />
			</jsp:include>

			<jsp:include page="reportstable.jsp">
				<jsp:param name="id" value="adminJobs" />
				<jsp:param name="tabletitle" value='${adminJobs}' />
			</jsp:include> --%>

</fmt:bundle>
<div class="clearFloat"></div>
<jsp:include page="../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/custom-pie.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/dynatree/jquery.dynatree.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/reports/js/jobsummary.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/js/ui.multiselect.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/reports/js/entityselection.js" name="js"/>
	<jsp:param value="true" name="bootstrapped" />
</jsp:include>


<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
	var isAllowIncludeAll = '${sessionScope.ALLOW_INCLUDE_ALL}';
	var isAdminUser = '${isAdminUser}';
</script>