<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<fmt:bundle basename="localization.CustomReportsMessages">
<style>
#schedulesList table thead tr td:first-child input{
	display:none;
}
.reports_Filter{
	float: right;
}
.settingsTitle {
font-weight: bold;
font-size: 16px;
color: #555;
margin-bottom: 10px;
margin-top: 5px;

margin-left: 5px;
}
.someLink{
color: #1b6dad;
text-decoration: none;
cursor: pointer;
}
</style>
<script nonce="${sessionScope.cspNonce}" >
	var localMsg = localMsg || {};
	${cv:jsLocalize("localMsg", "localization.ScheduleMessages", null)};
</script>
<div id="ContentWrapper">

    <div class="schedulesToolbar clearfix">
	    <div class="actnBtnsDiv manageSchedules">
	       <ul>
	       	<!--
	           <li>
	               <button id="copyBtn" data-action="COPY" class="actionBtns copyBtn" title="Copy">
	                    <img alt="Copy" src="${pageContext.request.contextPath}/survey/images/copy.png" title="Copy">
	               </button>
	           </li>
	       	 -->
	           <li>
	               <button id="enableScheduleBtn" data-action="ENABLE" class="actionBtns disabled" title='<fmt:message key="manageSchedules.Enable"/>'>
	                   <img alt="Enable" src="${pageContext.request.contextPath}/survey/images/enable.png" title="Enable">
	               </button>
	           </li>
	           <li>
	               <button id="disableScheduleBtn" data-action="DISABLE" class="actionBtns disabled" title='<fmt:message key="manageSchedules.Disable"/>'>
	                   <img alt="Disable" src="${pageContext.request.contextPath}/survey/images/disable.png" title="Disable">
	               </button>
	           </li>
	           <li>
	               <button id="deleteBtn" data-action="DELETE" class="actionBtns deleteBtn disabled" title='<fmt:message key="manageSchedules.Delete"/>'>
	                   <img alt="Delete" src="${pageContext.request.contextPath}/survey/images/delete.png" title="Delete">
	               </button>
	           </li>
	           <li>
	               <button id="runBtn" data-action="RUN" class="actionBtns runBtn disabled" title='<fmt:message key="manageSchedules.Trigger"/>'>
	                   <span class="sprite icon-alarm-trigger"></span>
	               </button>
	           </li>
	       </ul>
	    </div>
	    <div id="schedulesList_Filter" class="reports_Filter">
								<input id="schedulesList_FilterButton" class="schedulesFilter" type="button" value=""  title="<fmt:message key="Filter_columns"/>" />
								<input type="hidden" id="schedulesList_FilterSelected" />
				</div>
    </div>

    <div id="schedulesList" class="reportTable"><table id="schedulesList_table" class="display"></table>
				<div class="clearFloat"></div></div>
</div>
</fmt:bundle>
<script nonce="${sessionScope.cspNonce}" src="${pageContext.request.contextPath}/reports/js/manageSchedules.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" src="${pageContext.request.contextPath}/reports/js/tablebase.js?${applicationScope.BUILD_TS}"></script>

