<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib uri="../WEB-INF/cvtaglib.tld" prefix="cv" %>
<fmt:bundle basename="localization.ReportsMessages">
<jsp:include page="../common/header.jsp">
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="exportOptions" />

	<jsp:param value="MS_Backup_Stats_Report" name="title" />
	<jsp:param value="MS_Backup_Stats_Report" name="headerTitle" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeHistory"/>
 	<jsp:param value="true" name="includeTableSupport"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/msbackup.css" name="css"/>
</jsp:include>

<script nonce="${sessionScope.cspNonce}" >
	var localMsg = localMsg || {};
	${cv:jsLocalize("localMsg", "localization.ReportsMessages", null)};
</script>

<div id="filterDiv" class="msFilters hideOnExportFriendly" style="display:block">
	<span id="filters">
		<fmt:message key="ms.stats.Property_Dimension" />
		<select id="customers" class="msInputsOptions">
		</select>
		<fmt:message key="ms.stats.Data_Center" />
		<select id="datacenters" class="msInputsOptions">
		</select>
		<span>
		<input type="radio" name="dateType" value="1"><fmt:message key="ms.stats.Interval" />
		<select id='interval_list' class='msInputsOptions monthly'>
			<option value="-1"><fmt:message key="All" /></option>
			<option value="1"><fmt:message key="ms.stats.Yesterday" /></option>
			<option value="7"><fmt:message key="ms.stats.Last_7_Days" /></option>
			<option value="30"><fmt:message key="ms.stats.Last_30_Days" /></option>
			<option value="365"><fmt:message key="ms.stats.Last_1_Year" /></option>
		</select>
		<input type="radio" name="dateType" value="2"><fmt:message key="ms.search.Time_Range_From" /><input type='text' id='from' name='from' class='time_range' title='<fmt:message key="ms.search.date_error" />'/>
		<fmt:message key="ms.search.To" /><input type='text' id='to' name='to' class='time_range' title='<fmt:message key="ms.search.date_error" />'/>
		<!-- <select id='month_list' class='msInputsOptions monthly'></select> -->
		</span>

	</span>
	<span class="mainBtn msGenerate hideOnExportFriendly"><fmt:message key="Generate" /></span>
</div>

<div id="msSummaryDiv">

</div>

<div id="noDataNotificationPanel" class='noDataErrorMsg'></div>

<div id="ContentWrapper">

</div>

<form id="exportForm" action="${pageContext.request.contextPath}/server/doDownload" method="get">
	<input id="downloadType" type='hidden' name='type' value='report' />
	<input id="fileNameToDownload" type='hidden' name='fileName' value='' />
</form>
<form name="exportform" action="survey.do" method="post" target="_self">
	<input type="hidden" name="action" id="exportAction"
		value="exportExcel" /> <input type="hidden" name="csvBuffer"
		id="csvBuffer" /> <input type="hidden" name="fileName" id="fileName" />
		<input type="hidden" name="reportName" id="reportName" />
</form>
<jsp:include page="../survey/reports/alarmdialog.jsp"></jsp:include>
<jsp:include page="../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/reports/js/msbackupstats.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/alarms.js" name="js" />
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
</jsp:include>
</fmt:bundle>