<jsp:include page="../jobs/JobManager.jsp" />
<%-- <script nonce="${sessionScope.cspNonce}" src="${pageContext.request.contextPath}/reports/js/clientPanel.js"></script> --%>
<script nonce="${sessionScope.cspNonce}" src="${pageContext.request.contextPath}/reports/js/reportsUtil.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" src="${pageContext.request.contextPath}/reports/js/reportsBase.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" src="${pageContext.request.contextPath}/reports/js/reportsRenderers.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" src="${pageContext.request.contextPath}/common/js/moment.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" src="${pageContext.request.contextPath}/reports/js/reportActionButtons.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" src="${pageContext.request.contextPath}/customreports/js/sharereport.js?${applicationScope.BUILD_TS}"></script>
<link rel="stylesheet" href="${pageContext.request.contextPath}/customreports/css/shareReport.css">

<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>


<div class="shareWindow">
	<jsp:include page="../customreports/shareCR.jsp?${applicationScope.BUILD_TS}">
		<jsp:param value="true" name="withinReport"/>
	</jsp:include>
</div>

<fmt:bundle basename="localization.ReportsMessages">
	<fmt:message key="ContinueButtonText" var="continueButtonText"/>
	<fmt:message key="CancelButtonText" var="cancelButtonText"/>
	<fmt:message key="Summary" var="summary" />
	<fmt:message key="Untagged" var="others" />
	<fmt:message key="Exporting" var="exporting" />
	<fmt:message key="Threshold" var="threshold" />
	<fmt:message key="DedupReport.TotalUniqueBlocksGrowth" var="totalUniqueBlocksGrowth" />
	<fmt:message key="DedupReport.AvgInsertionTimeGrowth" var="avgInsertionTimeGrowth" />
	<fmt:message key="DedupReport.AllStoragePolicies" var="allSps" />
	<fmt:message key="DedupReport.AllDedupStores" var="allSPCopies" />
	<fmt:message key="DedupReport.AllLibraries" var="allLibraries" />
	<fmt:message key="JobSummary.BackupJobs" var="backupJobs" />
	<fmt:message key="JobSummary.RestoreJobs" var="restoreJobs" />
	<fmt:message key="JobSummary.AdminJobs" var="adminJobs" />
	<fmt:message key="StorageInformation.StatusError" var="statusError"/>
	<fmt:message key="StorageInformation.GroupError" var="groupError"/>
	<fmt:message key="StorageInformation.MediaTypeError" var="mediaTypeError"/>
	<fmt:message key="StorageInformation.CopyTypeError" var="copyTypeError"/>
	<fmt:message key="StorageInformation.Capacity" var="capacity"/>
	<fmt:message key="StorageInformation.MediaDetails" var="mediaDetails"/>
	<fmt:message key="StorageInformation.Libraries" var="libraries"/>
	<fmt:message key="ErrorNoteJobStatus" var="errorNoteJobStatus"/>
	<fmt:message key="ErrorNoteJobType" var="errorNoteJobType"/>
	<fmt:message key="ErrorNoteClientorClientGroup" var="errorNoteClientorClientGroup"/>
	<fmt:message key="ErrorNoteAgents" var="errorNoteAgents"/>
	<fmt:message key="ErrorNoteBackupType" var="errorNoteBackupType"/>
	<fmt:message key="StorageInformation.ErrorNotePolicies" var="errorNotePolicies"/>
	<fmt:message key="StorageInformation.ErrorNoteLibOrLoc" var="errorNoteLibOrLoc"/>
	<fmt:message key="StorageInformation.ErrorNoteLib" var="errorNoteLib"/>
	<fmt:message key="StorageInformation.LibraryFreeSpaceTooltip" var="libraryFreeSpaceTooltip"/>
	<fmt:message key="ErrorNoteReportType" var="errorNoteReportType"/>
	<fmt:message key="Threshold" var="threshold"/>
	<fmt:message key="WorldwideLicenseUsage" var="worldwideLicenseUsage"/>
	<fmt:message key="GroupLicenseUsage" var="groupLicenseUsage"/>
	<fmt:message key="LicenseUsage" var="licenseUsage"/>
	<fmt:message key="AgentData" var="agentData"/>
	<fmt:message key="WorldwideAgentData" var="worldwideAgentData"/>
	<fmt:message key="ConfirmDelete" var="confirmDeleteText"/>
	<fmt:message key="DeletedSuccessfully" var="deletedSuccessfullyText"/>
	<fmt:message key="save" var="saveText"/>
	<fmt:message key="Report_Name" var="reportNameText"/>
	<fmt:message key="UsageByLicense" var="usageByLicense"/>
	<fmt:message key="UsageByAgentType" var="usageByAgentType"/>
	<fmt:message key="UsageByFeatureLicense" var="usageByFeatureLicense"/>
	<fmt:message key="RetiredAndConsolidatedLicenses" var="retiredAndConsolidatedLicenses"/>
	<fmt:message key="Virtualization" var="virtualization"/>
	<fmt:message key="EndpointUsers" var="endpointUsers"/>
	<fmt:message key="Archiving" var="archiving"/>
	<fmt:message key="CommCellUsageByCapacity" var="commCellUsageByCapacity"/>
	<fmt:message key="WorldwideUsageByAgentType" var="worldwideUsageByAgentType"/>
	<fmt:message key="GroupUsageByAgentType" var="groupUsageByAgentType"/>
	<fmt:message key="CapacityLicenses" var="capacityLicenses"/>
	<fmt:message key="UnselectAll" var="unselectAll"/>
	<fmt:message key="selectAll" var="selectAll"/>
	<fmt:message key="SearchLimit" var="SearchLimit"/>

</fmt:bundle>

<fmt:bundle basename="localization.ReportsPlusMessages">
	<fmt:message key="DataSet.Preview.RESTAPI" var="restApiTitle"/>
</fmt:bundle>


<input type="hidden" id="request-reportEnum" value="${fn:escapeXml(requestScope.reportEnum)}" />
<input type="hidden" id="request-reportUniqId" value="${fn:escapeXml(requestScope.reportUniqId)}" />
<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
	var localMsg = localMsg || {};
	localMsg.continueButtonText="${continueButtonText}";
	localMsg.cancelButtonText="${cancelButtonText}";
	localMsg.raphael=localMsg.raphael||{};
	localMsg.raphael.threshold="${threshold}";
	localMsg.dedup={};
	localMsg.summary= "${summary}";
	localMsg.others= "${others}";
	localMsg.exporting= "${exporting}";
	localMsg.dedup.totalUniqueBlocksGrowth= "${totalUniqueBlocksGrowth}";
	localMsg.dedup.avgInsertionTimeGrowth= "${avgInsertionTimeGrowth}";
	localMsg.dedup.allSps= "${allSps}";
	localMsg.dedup.allSPCopies= "${allSPCopies}";
	localMsg.dedup.allLibraries= "${allLibraries}";
	localMsg.dedup.storeDetail= "${storeDetail}";

	localMsg.jobsummary={};
	localMsg.jobsummary.backupJobs="${backupJobs}";
	localMsg.jobsummary.restoreJobs="${restoreJobs}";
	localMsg.jobsummary.adminJobs="${adminJobs}";
	localMsg.jobsummary.ErrorNoteJobStatus="${errorNoteJobStatus}";
	localMsg.jobsummary.ErrorNoteJobType="${errorNoteJobType}";
	localMsg.jobsummary.ErrorNoteClientorClientGroup="${errorNoteClientorClientGroup}";
	localMsg.jobsummary.ErrorNoteAgents="${errorNoteAgents}";
	localMsg.jobsummary.ErrorNoteBackupType="${errorNoteBackupType}";
	localMsg.jobsummary.SearchLimit="${SearchLimit}";
	localMsg.storageInformation={};
	localMsg.storageInformation.statusError="${statusError}";
	localMsg.storageInformation.groupError="${groupError}";
	localMsg.storageInformation.mediaTypeError="${mediaTypeError}";
	localMsg.storageInformation.copyTypeError="${copyTypeError}";
	localMsg.storageInformation.capacity="${capacity}";
	localMsg.storageInformation.mediaDetails="${mediaDetails}";
	localMsg.storageInformation.libraries="${libraries}";
	localMsg.storageInformation.ErrorNotePolicies="${errorNotePolicies}";
	localMsg.storageInformation.ErrorNoteLibOrLoc="${errorNoteLibOrLoc}";
	localMsg.storageInformation.ErrorNoteLib="${errorNoteLib}";
	localMsg.storageInformation.LibraryFreeSpaceTooltip="${libraryFreeSpaceTooltip}";
	localMsg.guiAuditTrail = {};
	localMsg.guiAuditTrail.ErrorNoteReportType="${errorNoteReportType}";

	//metrics report messages
	localMsg.worldwideLicenseUsage="${worldwideLicenseUsage}";
	localMsg.groupLicenseUsage="${groupLicenseUsage}";
	localMsg.worldwideAgentData="${worldwideAgentData}";
	localMsg.licenseUsage="${licenseUsage}";
	localMsg.agentData="${agentData}";
	localMsg.confirmDeleteText="${confirmDeleteText}";
	localMsg.deletedSuccessfullyText="${deletedSuccessfullyText}";
	localMsg.saveText="${saveText}";
	localMsg.reportNameText="${reportNameText}";;
	localMsg.usageByLicense="${usageByLicense}";
	localMsg.usageByAgentType="${usageByAgentType}";
	localMsg.usageByFeatureLicense="${usageByFeatureLicense}";
	localMsg.retiredAndConsolidatedLicenses="${retiredAndConsolidatedLicenses}";
	localMsg.virtualization="${virtualization}";
	localMsg.endpointUsers="${endpointUsers}";
	localMsg.archiving="${archiving}";
	localMsg.commCellUsageByCapacity="${commCellUsageByCapacity}";
	localMsg.worldwideUsageByAgentType="${worldwideUsageByAgentType}";
	localMsg.groupUsageByAgentType="${groupUsageByAgentType}";
	localMsg.capacityLicenses="${capacityLicenses}";
	localMsg.unselectAll="${unselectAll}";
	localMsg.selectAll="${selectAll}";
	localMsg['DataSet.Preview.RESTAPI'] = "${restApiTitle}";

	${cv:jsLocalize("localMsg", "localization.ReportsJSMessages", null)};
	var taskSummaryTemplate="<div><span class='col1'>{0}</span><span>: </span><span class='summaryVal'> {1}</span></div>";
	var networkShareEnabled=${applicationScope.networkShareEnabled};
	window.reportEnum=$("#request-reportEnum").attr("value");
	window.reportUniqId=$("#request-reportUniqId").attr("value");
	window.pageSizeForBigExport='${applicationScope.pageSizeForBigExport}';
	window.reportExportConnectionTimeout='${applicationScope.reportExportConnectionTimeout}';
	window.webConsoleURLForExports = "${applicationScope.webConsoleURLForExports}";
	window.checkCSVInjection = "${applicationScope.checkCSVInjection}" == "true" ? true : false;
</script>



<fmt:bundle basename="localization.CustomReportsMessages">
<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
 	localMsg.confirmDeleteText='<fmt:message key="Confirm_Delete" />';
 	localMsg.cloneAs='<fmt:message key="Clone_As" />';
</script>


	<div id="deleteReportDialog" class="hidden">
			<div id = "deleteReportContent">
				<p> <fmt:message key="DeleteTheReport"/> <span id="crReportName"></span> ? </p>
				<div id="btnPanel">
					<input type="button" id="deleteYesBtn" class="dialogButton" value=<fmt:message key="Yes"/> />
					<input type="button" id="deleteCancelBtn" class="dialogButton" value=<fmt:message key="No"/> />
				</div>
			</div>
	</div>

	<div class="saveQuery hidden">
				<div id = "saveAsContent">
					<div>
						<label for="newReportName" class="label">${reportNameText}</label>
						<input type="text" id="newReportName" maxlength="100"  /> <br/>
					</div>
					<div class="errorMsg"></div>
					<div id="saveAsBtnPanel">
						<input type="button" id="cloneBtn" class="dialogButton" value="${saveText}"/>
						<input type="button" id="saveCancelBtn" class="dialogButton" value=<fmt:message key="Cancel"/> />
					</div>
				</div>
	</div>

	<div id="scheduleNavPanelTemplate" class="hideOnExportFriendly"
		style="display: none;">
		<div id="scheduleEditButtons" class="hideOnExportFriendly reportSettingsButtons ">
			<div id="buttonSpan">
				<div class="btns">
					<a id="saveScheduleEdit" class="btn btn-primary okSaveButton" title="<fmt:message key="Update_Page_Help" />"><fmt:message key="Update_Schedule" /></a>
					<a id="cancelScheduleEdit" class="btn btn-default"><fmt:message key="Cancel" /></a>
				</div>
			</div>
		</div>
	</div>
</fmt:bundle>
