    <%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
    <%@  taglib uri="../WEB-INF/cvtaglib.tld" prefix="cv" %>
    <%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<fmt:bundle basename="localization.ReportsMessages">
	<fmt:message key="invalidTag" var="invalidTagText"/>
	<fmt:message key="TagExists" var="TagExists"/>
	<fmt:message key="reports.home.search" var="search" />
	<c:set var="crList" value="${requestScope.CR_LIST}" />
	<c:set var="nonCrList" value="${requestScope.NON_CR_LIST}" />
	<c:set var="enableCustom" value='false' />
	<c:set var="totalReports" value="0" scope="page" />
	<c:set var="isAdminUser" value='false' scope="page" />
	<cv:reportsTag name="adminRight" id="999">
		<c:set var="isAdminUser" value='true' scope="page" />
	</cv:reportsTag>


<style type="text/css">
.surveyHead {
    top: 61px;
}
#noDataNotificationPanel {
    align-content: center;
    padding: 10px;
    text-align: center;
}
#ContentWrapper{
	min-height: 150px;
}
</style>

	<fmt:message key="Cancel" var="Cancel" />
	<fmt:message key="save" var="save" />
	<fmt:message key="others" var="others" />

	<cv:secureTag name="Survey" id="14">
		<c:set var="surveyEnabled" value="false" />
		<c:if test="${sessionScope.userHasReportsManagementCapabilities == true}">
			<c:set var="surveyEnabled" value="true" />
		</c:if>
	</cv:secureTag>

		<div class="sechead dynamicDropDown">
			<span id="title" class="sectiontitle"><fmt:message key="Reports" /></span>
			<div id="searchBox">
			    <span id="searchBoxImg" class="filterSearch"></span>
				<input type="text" placeholder= "Search" id="reportFilterSearch"></input>
			</div>
			<ul id="searchBoxDropDown" class="actionMenu">
				<li value="reportFilter" id="reportFilter" class="filterSearch"><fmt:message key="reports.home.simple.search" /></li>
				<li value="advanceSearch" id="advanceSearch" class="advanceSearch"><fmt:message key="reports.home.advanced.search" /></li>
			</ul>
			<c:choose>
				<c:when test="${(isAdminUser == 'true' && sessionScope.userHasReportsManagementCapabilities == 'true')}">
					<ul id="reportAdvanceSearch_section" class="actionMenu ui-autocomplete ui-menu ui-widget ui-widget-content ui-corner-all on-top">
						<!-- <li value="0" id="reportContent" class="">in <b>Description</b></li> -->
						<li value="1" id="reportContent" class="adv-srch-opt ui-menu-item"><a href="#" class="ui-corner-all"><span id="reportContentSpan"></span><fmt:message key="In_Content" /></a></li>
						<li value="2" id="reportColumn" class="adv-srch-opt ui-menu-item"><a href="#" class="ui-corner-all"><span id="reportColumnSpan"></span><fmt:message key="In_Column_Name" /></a></li>				
					</ul>
				</c:when>
       		</c:choose>


			<!-- <select name="reportSearch" id="reportSearch">
    			<option value="reportFilter" id="reportFilter" selected>Search Report</option>
    			<option value="advanceSearch" id="advanceSearch">Advance Search</option>
    		</select>


				<input type="text" class="advanceSearch"></input>
				 -->



			<div id="reportHomeLink">
				<ul id="reportsHomeActions">
					<cv:reportsTag name="Reports.ManageReports" id="888">
						<li id="newReportLink"  title="<fmt:message key="Reports_Action_New"/>">
							<a href="${pageContext.request.contextPath}/reportsplus">
								<span class="sprite reports-actions-newreport"></span>
							</a>
						</li>
						
					 <c:if test="${applicationScope.showTileBuilder == 'true'}">
							<li id="newTileLink"  title="<fmt:message key="New_Tile"/>">
								<a href="${pageContext.request.contextPath}/reportsplus/?tile=true">
									<span class="sprite reports-actions-newtile"></span>
								</a>
							</li>
						</c:if>

						<li id="importReportButton"  data-sourcepage="report_home_page" title="<fmt:message key="ImportReport"/>">
						</li>
					</cv:reportsTag>
					<li id="customDashboard" title ="Custom Dashboard"></li>
				</ul>

			</div>

			<jsp:include page="../survey/reports/surveyHeader.jsp">
				<jsp:param value="" name="changePage" />
				<jsp:param name="welcomeMsg" value="" />
				<jsp:param name="includeCROptionBeforeSearch" value="false" />
				<jsp:param name="searchCC" value="false" />
				<jsp:param name="showTabs" value="true" />
				<jsp:param name="reports" value="true" />
				<jsp:param name="includeDashboardBreadcrumb" value="false" />
			</jsp:include>

			<div class="clear-both"></div>


		</div>
<div id="ContentWrapper">
    <div class="cvReports">
        <ul class="slideBox">

		 </ul>
        <div class="clrfloat"></div>
    </div>

    <c:choose>
		<c:when test="${sessionScope.CR_VERSION == 'true'}">
			<c:url var="url" value="../customreports/viewReport.jsp"></c:url>
		</c:when>
		<c:when test="${sessionScope.CR_VERSION == null || sessionScope.CR_VERSION == 'false'}">
			<c:url var="url" value="../reportsplus/reportViewer.jsp"></c:url>
		</c:when>
	</c:choose>
 	<div id="reportEntity" style="display:none;">
	 	 <ul class="slideBox">
	 		<li id="reportItem" class="reportItem" data-unique="">
	 			<img src="" alt="">
	 			<div class="customIcon display-none"></div>
	 			<a href="#"></a>
	 			<div class="options">
	        		<div class="optionArrow"></div>
	    		</div>
	    		<div class="actionsContainer">
		   			<a href="#" class="actionButtons tag"  title='<fmt:message key="Tag" />'>
			   			<span class="sprite icon-tag" alt='<fmt:message key="Tag" />'></span>
			    		<span><fmt:message key="Tag" /></span>
		    		</a>
		    	</div>
	 		</li>
	 	</ul>
 	</div>
 	<div id="reportDropdown" style="display:none;">
 	<cv:reportsTag name="adminRight" id="999">
		<a href="#" class="actionButtons security"  title='<fmt:message key="Security" />' id="reportName_action-share" data-name="" data-repid="">
			<span class="sprite reports-actions-security" alt="Security"></span><span><fmt:message key="Security" /></span>
		</a>
		<a href="#" class="actionButtons edit" title="Edit" id="reportName_action-edit" data-name="" data-repid="">
			<span class="sprite icon-edit-disabled" alt="Edit"></span><span><fmt:message key="Edit" /></span>
		</a>
		<a href="#" class="actionButtons delete" title="Delete" id="reportName_action-delete" data-name="" data-repid="">
			<span class="sprite icon-trash" alt="Delete"></span><span><fmt:message key="Delete" /></span>
		</a>
	</cv:reportsTag>
	</div>
	<div id="noContentDataNotificationPanel" >
		<p id="searchByContent" class="noData">
			<span ><fmt:message key= "advanced.search.content" /><span id="contentText"></span></span>
		</p>
		<p id="searchByColumn" class="noData">
			<span><fmt:message key= "advanced.search.column" /><span id="columnText"></span></span>
		</p>
	</div>
	<div id="noDataNotificationPanel" style="display:none;">
		          <p ><fmt:message key="NoReportsAvailable" /></p>
	</div>
	
        <a id="showAllTags" href="#"><fmt:message key="tags.Show_All_Tags" /></a>

        <div id="tagReportDialog">
            <!-- set these in js  -->
            <h3 class="reportTitle"></h3>
            <ul class="tagsList"></ul>
            <ul class="addTag">
                <li class="infoInTags"><fmt:message key="tags.Enter_Tag_Add" /></li>
                <li>
                    <input id="newTag" type="text" maxlength='128' placeholder='<fmt:message key="addTag"/>'></input>
                    <a href="#" id="addToTagList" class="add"><fmt:message key="add"/></a>
                </li>
            </ul>
            <h4 class="invalidTag"><fmt:message key="invalidTag"/></h4>
            <cv:reportsTag name="adminRight" id="999">
                <div id="adminOptDiv">
                            <div id="applyTagToAllCB" class="custom-cb " data-state="unchecked">
                            </div>
                            <span id="applyTagToAllLabel" class="custom-cb-label"><fmt:message
                                key="applyTagToAll" /></span>
                </div>
            </cv:reportsTag>

            <h4 class="noteInTags"><fmt:message key="tags.note" /></h4>
        </div>


        <div id="editTagDialog">
            <div id="editTagContent">
                    <input id="newTagName" type="text"/>
                    <h4 class="invalidTag"><fmt:message key="invalidTag"/></h4>
                    <cv:reportsTag name="adminRight" id="999">
                    <div id="adminOptDiv">
                            <div id="applyTagToAllCB2" class="custom-cb " data-state="unchecked">
                            </div>
                            <span id="applyTagToAllLabel" class="custom-cb-label"><fmt:message
                                key="applyTagToAll" /></span>
                    </div>
            </cv:reportsTag>
            </div>

        </div>
        <div id="reportSearchDiv"></div>
         <div id="advanceSearchDiv"></div>
 </div>
 <div id="matchedDivtemplate" style="display:none;">
 	<div id="reportDescription"></div>
 	<div id="dataMatchedDiv">
 		<div id ="dataTableName"></div>
 		<div id ="dataTableHeaderRow"></div>
 		<div id="dataTableContent">
 			<div id="dataTableContentRow"></div>
 		</div>
 	</div>
 </div>

</fmt:bundle>
<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
var reportsUrlToImageMapping = {

};
	var localMsg = localMsg || {};
	localMsg.cancel="${Cancel}";
	localMsg.save="${save}";
	localMsg.others="${others}";
	localMsg.invalidTagText="${invalidTagText}";
	localMsg.TagExists="${TagExists}";
	
	var isAdminUser = '${isAdminUser}';
	var pageRefreshAfterImport = true;
	var stringJson = {"invisible":{"initial":true,"initializeDefaults":false},"dashboard":true,"commUniId":0,"dToken":11};
	var useCrVersion1 = '${sessionScope.CR_VERSION}';
	var crList = '${requestScope.CR_LIST}';
	var customreportsURL = '${url}';
	var metricsInstalled = ${applicationScope.METRICS_INSTALLED};
	var surveyEnabled = '${surveyEnabled}';
	
	window.netBackupPPTEnabled = 'true';
	$(document).on("click" ,"#exportNetBackupPPT",function() {
		report.exportReport(this);
	});
	$('#content').addClass("reportHomePage");
	$('#reportFilterSearch').focus();

	$('#content').removeClass("dashboardPage");
	$('#content').addClass("reportHomePage");
</script>

