<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<fmt:bundle basename="localization.ReportsMessages">

<jsp:include page="../common/header.jsp">	
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="showSettings" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="noSearchReport"/>
	<jsp:param value="true" name="changePage" />
	<jsp:param value="Storage_Information_Report" name="title" />
	<jsp:param value="Storage_Information_Report" name="headerTitle" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/dynatree/ui.dynatree.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
  	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
	<jsp:param value="reports/reportsBase.jsp" name="jsp"/> 	
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeHistory"/> 
 	<jsp:param value="true" name="includeTableSupport"/>	
 	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css"/>	
 	<jsp:param value="true" name="includeCustomSelect"/>
</jsp:include>


<fmt:message key="Summary" var="summary"/>
<fmt:message key="StorageInformation.MediaDetails" var="mediaDetails"/>


			
<%@ include file="reportsBaseBody.jsp" %>

		<div id="ContentWrapper">	
		<div id="filter-panel-cont">
		<div id="filter-panel-wrapper">
		<div id="filterPanel">
			<h3 id="libraryAndLocTitle"><a href="#"><fmt:message key="StorageInformation.LibrariesAndLocations"/></a></h3>
				<div id="libAndLocDiv"> 
				<div class="tabs">
				<ul id="libTabs">
					<li><a href="#mediaLibraries"><fmt:message key="StorageInformation.Libraries"/></a></li>
					<li><a href="#mediaLocation"><fmt:message key="StorageInformation.Locations"/></a></li>
				</ul>
					<div id="mediaLibraries">
					
						<div class="clearFloat option">
						<span id="librariesSubTitle" class="option-title"><fmt:message key="StorageInformation.Libraries"/></span>
						<div id="librariesDiv">
							<ul id="libraryList">  </ul>
						</div>
						</div>
					</div>
					
					<div id="mediaLocation">
						<div id="locOption" class="option">
						<span class="option-title" ><fmt:message key="StorageInformation.MediaLocation"/></span> 
						<ul class="horizontalList">
							<li class="col1">
								<div id='locIn' class="custom-cb mediaLoc" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="StorageInformation.In"/></span>
							</li>
							<li>
								<div id='locOut' class="custom-cb mediaLoc" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="StorageInformation.Out"/></span>
							</li>
						</ul>
						</div>
						<div class="clearFloat option">
							<%-- <span class="option-title" ><fmt:message key="StorageInformation.Locations"/></span> --%> 
							<ul id="locationList" style="margin-left:5px;">  </ul>

						</div> 
					</div>
				
				</div>
				</div>
				<h3 id="storagePolicyTitle"><a href="#" ><fmt:message key="StorageInformation.StoragePolicies"/></a></h3>
				<div id="storagePoliciesDiv">
				<ul class="horizontalList">
					<li > <div id="primary" class="custom-cb copyType" data-state="checked"></div><span class="custom-cb-label" ><fmt:message key="DedupReport.AllPrimary" /></span></li>
					<li ><div id="secondary" class="custom-cb copyType" data-state="checked"></div><span class="custom-cb-label" ><fmt:message key="DedupReport.AllSecondary" /></span></li>
				</ul>
				
				<div  class="clearFloat option">
					<ul id="policyList" style="margin-left:10px;">  </ul>
					</div>
				</div>
			<h3 id="mediaStatusTitle"><a href="#"><fmt:message key="StorageInformation.MediaStatus"/></a></h3>
					<div id="mediaStatusDiv" >
										<div id="mediaStatusAllDiv">
											<div class="custom-cb" id="mediaStatusAll" data-state="unchecked"></div>
											<span class="custom-cb-label"><fmt:message key="StorageInformation.All"/></span>
										</div>
										<ul class="horizontalList">
											<li class="col1">
												<div id="new" class="custom-cb mediaStatus" data-state="unchecked"></div>
												<span class="custom-cb-label"><fmt:message key="StorageInformation.New"/></span>
											</li>
											<li class="aged">
												<div id="aged" class="custom-cb mediaStatus" data-state="unchecked"></div>
												<span class="custom-cb-label"><fmt:message key="StorageInformation.Aged"/></span>
											</li>
											<li>
												<div id="undiscovered" class="custom-cb mediaStatus" data-state="unchecked"></div>
												<span class="custom-cb-label"><fmt:message key="StorageInformation.Undiscovered"/></span>
											</li>
											<li class="col1">
												<div id="active" class="custom-cb mediaStatus" data-state="unchecked"></div>
												<span class="custom-cb-label"><fmt:message key="StorageInformation.Active"/></span>
											</li>
											<li>
												<div id="appendable" class="custom-cb mediaStatus" data-state="unchecked"></div>
												<span class="custom-cb-label"><fmt:message key="StorageInformation.Appendable"/></span>
											</li>
											<li class="full">
												<div id="full" class="custom-cb mediaStatus" data-state="unchecked"></div>
												<span class="custom-cb-label"><fmt:message key="StorageInformation.Full"/></span>
											</li>
										</ul>
										<div class="clearFloat"></div>
									<div>
										<ul class="horizontalList">
											<li class="col1"><input id="andExistsIn" name="condition" type="radio"
												value="andExistsIn"><label for="andExistsIn"><fmt:message key="StorageInformation.AndExistsIn"/></label>
											</li>
											<li class="orexists"><input ID="orExistsIn" name="condition" type="radio"
												value="orExistsIn"><label for="orExistsIn"><fmt:message key="StorageInformation.OrExistsIn"/></label></li>
										</ul>
										<div class="clearFloat"></div>
									</div>
					</div>
					<h3 id="mediaGroupsTitle"><a href="#"><fmt:message key="StorageInformation.MediaGroups"/></a></h3>					
					<div id="mediaGroupsDiv" >
										<div class="clearFloat option">
										<div id="mediaGroupsAllDiv">
												<div class="custom-cb" id="mediaGroupsAll"
														data-state="unchecked"></div>
													<span class="custom-cb-label"><fmt:message key="StorageInformation.All"/></span>
										</div>
										<ul class="horizontalList">
											<li class="col1">
												<div id="scratch" class="custom-cb mediaGroup" data-state="unchecked"></div>
												<span class="custom-cb-label"><fmt:message key="StorageInformation.Scratch"/></span>
											</li>
											<li class="cleaning">
												<div id="cleaning" class="custom-cb mediaGroup" data-state="unchecked"></div>
												<span class="custom-cb-label"><fmt:message key="StorageInformation.Cleaning"/></span>
											</li>
											<li>
												<div id="foreign" class="custom-cb mediaGroup" data-state="unchecked"></div>
												<span class="custom-cb-label"><fmt:message key="StorageInformation.Foreign"/></span>
											</li>
											<li class="col1 catalog">
												<div id="catalog" class="custom-cb mediaGroup" data-state="unchecked"></div>
												<span class="custom-cb-label"><fmt:message key="StorageInformation.Catalog"/></span>
											</li>
											<li>
												<div id="retired" class="custom-cb mediaGroup" data-state="unchecked"></div>
												<span class="custom-cb-label"><fmt:message key="StorageInformation.Retired"/></span>
											</li>
											<li>
												<div id="overwrite_protected" class="custom-cb mediaGroup" data-state="unchecked"></div>
												<span class="custom-cb-label"><fmt:message key="StorageInformation.OverProtected"/></span>
											</li>
										</ul>
										<div class="clearFloat"></div>
									</div>
									
					</div>
					<h3 id= "advancedTitle" class="lastAccordian"><a href="#"><fmt:message key="StorageInformation.Advanced"/></a></h3>					
					<div id="mediaTypesDiv" >
					<div class="option">
						<ul class="horizontalList">
							<li class="col1">
							<div id="with_error_only" class="custom-cb mediaType" data-state="unchecked"></div><span class="custom-cb-label"><fmt:message key="StorageInformation.MediaWithErrorOnly"/></span>
							</li>
							<li>
							<div id="prevent_export_only" class="custom-cb mediaType" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="StorageInformation.MediaWithPreventExportOnly"/></span>
							</li>
							<li>
							<div id="deconfigured_client_only" class="custom-cb mediaType" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="StorageInformation.DeconfigClients"/></span>
							</li>
						</ul>
						<div class="clearFloat option-title" ><fmt:message key="StorageInformation.Retention"/></div> 
						<ul class="horizontalList">
							<li>
							<div id="basic_retention_only" class="custom-cb mediaType" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="StorageInformation.BasicRetentionOnly"/></span>
							</li>
							<li>
							<div id="extended_retention_only" class="custom-cb mediaType" data-state="unchecked"></div><span class="custom-cb-label" ><fmt:message key="StorageInformation.ExtendedRetentionOnly"/></span>
							</li>
						</ul>
					</div>
					<div class="clearFloat option">
						<div class="option-title" ><fmt:message key="StorageInformation.MediaState"/></div> 
						<ul class="horizontalList">
							<li class="col1">
							<input id="mediaStateAll" name="mediaState" type="radio" ><label for="mediaStateAll"><fmt:message key="StorageInformation.All"/></label>
							</li>
							<li>
							<input id="mediaStateGood" name="mediaState" type="radio" ><label for="mediaStateGood"><fmt:message key="StorageInformation.GoodOnly"/></label>
							</li>
							<li>
							<input id="mediaStateBad" name="mediaState" type="radio" ><label for="mediaStateBad"><fmt:message key="StorageInformation.BadOnly"/></label>
							</li>
						</ul>
						<div class="clearFloat"></div>
					</div>
				</div>
			
		</div>							
		</div>
		
		<div id="error_label" class="error-note"><span id="removeMe" class="errMsg paintred" >&nbsp;</span></div>

		<input id="btngenerate" type="button" value='<fmt:message key="Generate" />'>
		</div>
		<div id="chartContentWrapper">
			

		<div id="selectGrpDiv">

			<ul id="groupByPanel">
				<li id="MediaType"><fmt:message key="StorageInformation.MediaType"/></li>
				<li id="StorageCapacity"><fmt:message key="StorageInformation.StorageCapacity"/></li>
				<li id="Library"><fmt:message key="StorageInformation.Libraries"/></li>
				<li id="StoragePolicy"><fmt:message key="StorageInformation.StoragePolicies"/></li>
			</ul>

			</div>
		<ul id="breadCrumbPanel">
		</ul>
			<div id="chartTitleDiv">
				<div id="chartTitle"></div>
			</div>

			<div id="chartPanel">
				<div id="piechartcontainer_nodata" class="showifnodata"><fmt:message key="NoDataAvailable" /></div>
				<div id="piechartcontainer" class="hideifnodata">
				
				</div>
			</div>
					
			</div>
			</div>
			<jsp:include page="reportstable.jsp">	
				<jsp:param name="id" value="mediaSummary" />
				<jsp:param name="tabletitle" value='${summary}' />
				<jsp:param name="clientside" value="true" />
			</jsp:include>
			
			<jsp:include page="reportstable.jsp">	
				<jsp:param name="id" value="mediaDetail" />
				<jsp:param name="tabletitle" value='${mediaDetails}' />
			</jsp:include>
			<div>&nbsp;</div>

</fmt:bundle>
<div class="clearFloat"></div>
<jsp:include page="../common/footer.jsp">
<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/custom-pie.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/reports/js/storageinformation.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/reports/js/entityselection.js" name="js"/>
</jsp:include>

