<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<script nonce="${sessionScope.cspNonce}" src="${pageContext.request.contextPath}/reports/js/timeFrame.js?${applicationScope.BUILD_TS}"></script>
<fmt:bundle basename="localization.ReportsMessages">

<div id="relativePanel">
	<select id="frequency">
	  <option value="Hourly"><fmt:message key="TimeFrame.LastNHours"/></option>
	  <option value="Daily"><fmt:message key="TimeFrame.LastNDays"/></option>
	  <option value="Weekly"><fmt:message key="TimeFrame.LastNWeeks"/></option>
	  <option value="Monthly"><fmt:message key="TimeFrame.LastNMonths"/></option>
	  <c:if test="${param.excludeCurrentTime == null || param.excludeCurrentTime == 'false'}">
	  	<option value="CurrentWeek"><fmt:message key="TimeFrame.CurrentWeek"/></option>
	  	<option value="CurrentMonth"><fmt:message key="TimeFrame.CurrentMonth"/></option>
	  </c:if>
	   <option value="Custom"><fmt:message key="TimeFrame.Custom"/></option>
	</select>
	<input type="text" id="lastN" value="0" />
</div>
<div id="range"><fmt:message key="Select_Time_Range" /></div>
<div id="rangePanel">
	<input id="startTime" type="text" value="" name="fromTime" placeholder=<fmt:message key="TimeFrame.StartTime"/>>
	<input id="endTime" type="text" value="" name="toTime" placeholder=<fmt:message key="TimeFrame.EndTime"/>>
</div>

<c:if test="${param.includePrediction != null && param.includePrediction == 'true'}">
	<div id="predictionPanel">
		<fmt:message key="Predict_Next" />  <input type="text" id="predictNext" value="4" />
	</div>
</c:if>


</fmt:bundle>