<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:bundle basename="localization.CustomReportsMessages">
<jsp:include page="../common/header.jsp">
	<jsp:param value="true" name="includeJqueryUI"/>	
	<jsp:param value="../common/css/table.css" name="css" />	
	<jsp:param value="../reports/css/actionButtons.css" name="css" />
	<jsp:param value="../common/css/headerstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
	<jsp:param value="" name="titleLocalized" />
	<jsp:param value="" name="headerTitleLocalized" />
	<jsp:param value="true" name="includeMask" />	
	<jsp:param value="true" name="showdashboardlink" />	
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="includeJqueryUI" />	
	<jsp:param value="true" name="includeHistory" />	
	<jsp:param value="true" name="changePage" />
	<jsp:param value="true" name="customDashBoard" />
	<jsp:param value="css/dashboard.css" name="css" />
	<jsp:param value="true" name="bootstrapped" />
	<jsp:param value="true" name="reportsNav" />		
</jsp:include>

<div id="edit-form" title="Edit Report Information" style="display: none">
	<form name="myform" id="thisform">
	<label for="title">Reports: </label> <select
				id="viewList" name="viewList" class="selectbox">
				<option id="0" value="0">&nbsp;</option>
			</select>
	<br/> 
	<label for="title"> Component </label> 
		<select	id="chartList" name="chartList" class="selectbox">			
		</select>
	<br/> 
	<label for="title"> <fmt:message key="Title" /> </label>	 <input type="text" id="title" class="textbox"/><br/>		
	<label for="title"> <fmt:message key="URL" /> </label>	  <input type="text" id="source" class="textbox"/>
	<input type="hidden" id="widgetId"/>
		<br/>
	</form>
</div>


<div id="addDashBoardForm" title="Add Dashboard" style="display: none">
	<form name="newDashBoardForm" id="newDashBoardform">
	<label for="title"> Dashboard Title: </label>	 <input type="text" id="dashbordTitle" class="textbox" max/><br/>	
	</form>
</div>
<div id="delDashboardForm" title="<fmt:message key="Confirm_Delete" />" style="display: none">
	<p><fmt:message key="Delete_Dashboard" /></p>
</div>
<div id="contain" class="wrap">
   <div class="portlet createNewPortlet"></div>
    <div class="clrfloat"></div>
</div>
<div id="del-form" title="<fmt:message key="Confirm_Remove" />" style="display: none">
	<p> <fmt:message key="Remove_Alert" /></p>
</div>

<input type="hidden" id="dashboardId" value="${sessionScope.USER_DASHBOARD_ID}">
</fmt:bundle>

<jsp:include page="../common/footer.jsp">	
	<jsp:param value="js/mustache.js" name="js"/>		
	<jsp:param name="js" value="js/dashboard.js" />	
	<jsp:param value="../reports/js/reportActionButtons.js" name="js" />
</jsp:include>