<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!-- 
Code for Share Report Dialog which will have two 
panels and two buttons to move items from one panel to another.
 -->
<c:choose>
	<c:when test="${param.withinReport != null && param.withinReport == 'true'}">
		<input type="hidden" id="withinReport" value="true">
	</c:when>
	<c:otherwise>
		<input type="hidden" id="withinReport" value="false">
	</c:otherwise>
</c:choose>

 <fmt:bundle basename="localization.CustomReportsMessages">
	<div id="security-dialog-form" title="Security" class="hidden">
	<div id="dialogReportName">Report Name</div>
		<div id="userAssociationPanel" class="aggregate">		
					<div class="usersListPanel availableUserPanel">
						<h2><fmt:message key="Available_Users" /></h2>
						<div id="typeEnterMessage" style="display:none"><fmt:message key="Enter_To_Search"/></div>
						<input type="text" id="cr-security-search-user" class="search-textbox" placeholder="<fmt:message key="Find_Users" />"/> 
						<ul id="availableUserList" class="connectedSortable">					
						</ul>
					</div>	
					<ul id="moveButtons">
						<li><button id="moveRight">&gt;</button></li>
						<li><button id="moveLeft">&lt;</button></li>
					</ul>	
					<div class="usersListPanel selectedUserPanel">
						<h2><fmt:message key="Selected_Users" /></h2>	
						<ul id="selectedUserList" class="connectedSortable">
						</ul>
					</div>
			</div>
	</div>
 </fmt:bundle>