
<script nonce="${sessionScope.cspNonce}" src="js/sharereport.js?${applicationScope.BUILD_TS}"></script>
<style type="text/css">
.usersListPanel {
	border: 1px solid #CCCCCC;
	border-radius: 4px 4px 4px 4px;
	width: 44%;
	height: 300px;
}

#userAssociationSubFrame h2 {
    background-color: #EEEEEE;
    font-size: 1.2em;
    font-weight: bold;
       padding: 12px 7px;
}

#userAssociationPanel {

	margin-top: 10px;
}

#userAssociationframe {
	margin: 0 auto;
	width: 60%;
}

.selectedUserPanel{
	float:right;	
}


.availableUserPanel {
    float: left;    
}

.connectedSortable{
    height: 215px;
    overflow: auto;
    vertical-align: top;	
}

.selectableuser {
    cursor: -moz-grabbing;
    margin-top: 2px;
    background: url("../images/ui-bg_flat_55_eefbfb_40x100.png") repeat-x scroll 50% 50% #f6f6f6;
    border: 1px solid f6f6f6;
    font-size: 1.0em;    
    height: 8%;
    padding-left:10px;
    text-align: left;
}

.selectableUserGroup{
	font-weight:600;	
}

.selectedUser {
    cursor: -moz-grabbing;
    margin-top: 2px;
    background: url("../images/ui-bg_flat_55_eefbfb_40x100.png") repeat-x scroll 50% 50% #4070C4;
    border: 1px solid #4070C4;
    color: #FFFFFF;
    height: 8%;
    padding-left:10px;
    text-align: left;
}
.selectedUserGroup{
	font-weight:600;	
}

#userAssociationPanel li:hover, #userAssociationPanel li:hover {
    background: url("../images/ui-bg_flat_55_eefbfb_40x100.png") repeat-x scroll 50% 50% #4070C4;
    border: 1px solid #80B2CC;
    color: #FFFFFF;
}

</style>

<div id="userAssociationframe">
	<label class="crTabHeader leftcrTabHeader"><fmt:message key="Drag_And_Drop_Available_Users" /></label>
	
	<div id="userAssociationSubFrame">
		<div id="userAssociationPanel" class="aggregate">		
				<div class="usersListPanel availableUserPanel">
					<h2><fmt:message key="Available_Users" /></h2>
					<input type="text" id="search" class="textbox" placeholder="<fmt:message key="Find_Users" />"/>
					<ul id="availableUserList" class="connectedSortable">					
					</ul>
				</div>			
				<div class="usersListPanel selectedUserPanel">
					<h2><fmt:message key="Selected_Users" /></h2>	
					<ul id="selectedUserList" class="connectedSortable">
					</ul>
				</div>
		</div>
	</div>	
	
</div>