<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame
       Remove this if you use the .htaccess -->
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="description" content="" />
<meta name="author" content="CommVault">

<jsp:include page="../common/jquery.jsp" flush="true" />
<jsp:include page="../common/jqueryui.jsp" flush="true" />
<jsp:include page="../common/table.jsp" flush="true" />
<jsp:include page="../reportsplus/reportHeader.jsp">
	<jsp:param value="webconsole" name="applicationName" />		
</jsp:include>	

<link rel="stylesheet" href="${pageContext.request.contextPath}/reports/css/reports.css?${applicationScope.BUILD_TS}" />
<script nonce="${sessionScope.cspNonce}" src="${pageContext.request.contextPath}/survey/js/survey_templates.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" src="${pageContext.request.contextPath}/common/js/ba-debug.min.js?${applicationScope.BUILD_TS}"></script>

<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/reportsplus/js/angular/angular.min.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/reportsplus/js/angular-sanitize/angular-sanitize.min.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/reportsplus/js/angular/ui-bootstrap-tpls-0.11.0.min.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/common/js/moment.js?${applicationScope.BUILD_TS}"></script>


<!-- grid layout -->
	<link rel="stylesheet" href="${pageContext.request.contextPath}/reportsplus/js/angular-gridster/angular-gridster.min.css?${applicationScope.BUILD_TS}">
	<link rel="stylesheet" href="${pageContext.request.contextPath}/health/css/healthdashboard.css?${applicationScope.BUILD_TS}">
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/reportsplus/js/angular-gridster/jquery.resize.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/reportsplus/js/angular-gridster/angular-gridster.min.js?${applicationScope.BUILD_TS}"></script>

<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/health/js/healthAlertApp.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/health/js/healthService.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/health/js/healthAppUtilService.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/health/js/healthAlertAppConfig.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/health/js/healthAlertController.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/reportsplus/js/reportService.js?${applicationScope.BUILD_TS}"></script>

</head>

<body>
	   
<div id="healthAlarmContent"  data-ng-app="healthDashboardApp" data-ng-controller="healthAlertCtrl" >
<div id="noDataNotificationPanel" data-ng-show="hasHealthData!==true ">  
	<p id="infoErrorMessage">No Data Available</p>
</div>

<div id="contentDataWrapper"   data-ng-class="{setVisible: hasHealthData}">
<div id="tableWrapper">
	<div id="table_0" class="healthAlertTable">
	</div>
</div>	
</div>
</div> <!--  end health content -->

</body>
</html>




