<!-- ============================================================================ -->
<!--   Copyright (c) CommVault Systems, -->
<!--   All Rights Reserved -->
<!--
<!--   THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF CommVault Systems -->
<!--   The copyright notice above does not evidence any -->
<!--   actual or intended publication of such source code.                        -->
<!--
<!--   File name: CommCellGrowthReportBuilder.java -->
<!--   Author: Marilou Geverola -->
<!--  ============================================================================ -->
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="func"%>

<core:set var="paramId" value="${func:escapeXml(param.id)}" />

<fmt:bundle basename="localization.ReportsMessages">
<div id="${paramId}_ContentWrapper">
			<div id="${paramId}_ChartTitleDiv"  class="chartTitle">
				<h1>${func:escapeXml(param.title)} </h1>
			</div>

			<ul id="${paramId}_BreadCrumbPanel" style="width =200px;">
			</ul>

			<div id="${paramId}_ErrorMsg" style="padding:0px 0px 50px 0px;">
				<h1><fmt:message key="NoDataAvailable" /></h1>
			</div>
			<div id="${paramId}_Chart"  class="commcell_charts">
			</div>

			<div id="${paramId}_Table" class="clearFloat reportTable" >
					<h1>${func:escapeXml(param.tableTitle)}</h1>
					<table id="${paramId}_Summary_table" class="display"></table>
			</div>
			</fmt:bundle>
</div>