<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<fmt:bundle basename="localization.ReportsMessages">

<jsp:include page="../common/header.jsp">	
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="showSettings" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="noSearchReport"/>
	<jsp:param value="true" name="changePage" />
	<jsp:param value="Dedup_Report" name="title" />
	<jsp:param value="Dedup_Report" name="headerTitle" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/dynatree/ui.dynatree.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
  	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
  	<jsp:param value="${pageContext.request.contextPath}/reports/css/dedup.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/js/gauge/css/jgauge.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css"/>
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeHistory"/> 	
 	<jsp:param value="true" name="includeCustomSelect"/>
 	
	<jsp:param value="true" name="includeTableSupport"/>
	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
</jsp:include>
<%@ include file="../common/multiselect.jsp" %>
<%@ include file="reportsBaseBody.jsp" %>

		<div id="ContentWrapper" class="dedupContent">	
		<div id="topPanel">
		<ul>
		<li class="lbl"><a href="#">Storage Policies:</a></li>
		<li>		
			<ul id="filterList"> 		
				<select id="storagePolicies" name="storagePolicies" multiple="multiple" style="display:none;"></select>
			 </ul>
		</li>
		</ul>
		<ul>
		<li class="lbl"><a href="#">Copies:</a></li>
		<li>
			<div id="copiesWrapper" >
				<ul>
					<li class="col1"> <div id="primary" class="custom-cb copyType" data-state="checked"></div><span class="custom-cb-label" ><fmt:message key="DedupReport.AllPrimary" /></span></li>
					<li class="col1"><div id="secondary" class="custom-cb copyType" data-state="checked"></div><span class="custom-cb-label" ><fmt:message key="DedupReport.AllSecondary" /></span></li>
					<li id="copytype-error" class="error-note"><span class="paintred" >Note:</span>Please select at least one copy type</li>
					
				</ul>
			</div>
		</li>
		</ul>
	
		<input id="btngenerate" type="button" value='<fmt:message key="Generate" />'>
		<div class="clrfloat"></div>		
		</div>							
	
		
		<div class="groupByWrapper">
		<ul id="groupByPanel">
			<li id="StoragePolicy" class="groupBy selectOption" ><fmt:message key="DedupReport.StoragePolicy" /></li>
			<li id="StoragePolicyCopy" class="groupBy selectOption" ><fmt:message key="DedupReport.DeduplicationStores" /></li>
			<li id="Library" class="groupBy selectOption" ><fmt:message key="DedupReport.Disk" /></li>
		</ul>
		</div>
			
		<ul id="breadCrumbPanel">
		</ul>
				
		<div id="chartPanel">		
			<div id="chartContentWrapper_nodata" class="showifnodata"><fmt:message key="NoDataAvailable" /></div>
			<div id="chartContentWrapper" class="hideifnodata">
			
			<div id="pieWrapper" class="chartContent">
				<div class="chartTitleDiv">
					<h1 id="pieChartTitle" class="chartTitle"> </h1>
				</div>	
	
				<div id="piechartcontainer" >	</div>
			
			</div>	
				
			
			<div id="barChartWrapper" class="chartContent">
				<div class="chartTitleDiv">
					 <h1 id="dedupSavingsLabel" class="chartTitle"> </h1>
				</div>
				<div id="barChartContainer">	 
				 	
				</div>
			</div>	
			
			<div id="dedupGrowthChartWrapper" class="chartContent">
				<div id="growtSelectionPanel"    >
				<ul id="growthChartType" >
					<li id="Total_Unique_Blocks" class="chartType" ><fmt:message key="DedupReport.TotalUniqueBlocks" /></li>
					<li id="Avg_Insertion_Time" class="chartType"  ><fmt:message key="DedupReport.AvgInsertionTime" /></li>
				</ul>
			
				</div>
				
				<div id="growthChart" >
					<div class="chartTitleDiv">
						 <h1 id="dedupGrowthChartTitle" class="chartTitle"> </h1>
					</div>
				
					<div id="growthChartContainer">	
					</div>
				
				</div>	
			</div>	
			
			<div id="meterWrapper" class="chartContent" >
				<div class="chartTitleDiv">
						 <h1 class="chartTitle"> Health Status </h1>
				</div>
				<div id="capacityMeterContainer">
	<!-- 				<div id="capacityMeterContainer"  > -->
					<div id="capacityMeterTitle" class="sectionTitle">
						 <h1><fmt:message key="DedupReport.TotalUniqueBlocks" /></h1>
					</div>
					<div id="gauge1" class="jgauge" ></div> 
				</div>
				<div id="performanceMeterContainer">
					<div id="performanceMeterTitle" class="sectionTitle">
						  <h1><fmt:message key="DedupReport.AvgInsertionTime" /></h1>
					</div>
					<div id="gauge2" class="jgauge"></div> 
				</div>
			</div>	
			</div>
		</div>	
		</div>
			
		
		<fmt:message key="Summary" var="summary" />
		<fmt:message key="DedupReport.History" var="storeDetail" />
		<div id="tableWrapper">
			<jsp:include page="reportstable.jsp">	
					<jsp:param name="id" value="dedupSummary" />
					<jsp:param name="tabletitle" value='${summary}'/>
					<jsp:param name="clientside" value="true" />
			</jsp:include>
		</div>	
		
	
		<div id="detailTableWrapper">
			<jsp:include page="reportstable.jsp">	
					<jsp:param name="id" value="storeDetail" />
					<jsp:param name="tabletitle" value='${storeDetail}'/>
					<jsp:param name="clientside" value="false" />
			</jsp:include>
		</div>	
		
		
						
		
			
			
</fmt:bundle>
<div class="clearFloat"></div>
<jsp:include page="../common/footer.jsp">
<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/g.raphael.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-line.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-bar.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/custom-pie.js" name="js"/>
	
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/dynatree/jquery.dynatree.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/reports/js/dedup.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/reports/js/storagefilter.js" name="js"/> 	
  <jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>

  
 
  <jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	
	<jsp:param value="${pageContext.request.contextPath}/common/js/gauge/jgauge.js" name="js"/>
	
</jsp:include>


