var system = require('system');
var fs = require('fs');
var JSONInput = fs.read(system.args[1]);
fs.remove(system.args[1]);
var screenshot = JSON.parse(JSONInput);
fileOptionsArg = system.args[2];
fileOptionsArg = fileOptionsArg.replace(/\\\"/g, "\"");
console.log('fileOptions : ' + fileOptionsArg);
var fileOptions = JSON.parse(fileOptionsArg);
screenshot.outputFileName = fileOptions.outputFileName;
console.log('loading module');
var base64Images = require("./base64Images");
var cssInliner = require('./cssInliner');
console.log('loaded');
function exitPhantom(exitCode) {
	setTimeout(function() {
		phantom.exit(exitCode);
	}, 0);
}

if (console) {
	console.error = function(msg) {
		console.log('Error: ' + msg);
	};
}

var readmeCss = '#container { -ms-zoom: 0.80; -moz-transform: scale(0.8); -moz-transform-origin: 0 0; -o-transform: scale(0.8); -o-transform-origin: 0 0; -webkit-transform: scale(0.8); -webkit-transform-origin: 0 0; }';
readmeCss += '.crdescription {font-size: 1.3em;}';
readmeCss += '.dataTables_paginate, select, input {pointer-events: none;}';
readmeCss += 'body {font-size:16px}';
readmeCss += 'a {pointer-events:none,}';
readmeCss += '#container #content {background:#f4f4f4 !important;}';
readmeCss += '#reportArea .compButtons{display:none;}';
readmeCss += '#reportArea button.applyButton{pointer-events:none; cursor:not-allowed;}';
readmeCss += '.glyphicon{line-height:inherit;font-size: 14px;}';

if (!!base64Images && typeof base64Images.base64Fonts !== 'undefined' &&
		typeof base64Images.base64Fonts['glyphicons-halflings-regular'] !== 'undefined') {
	readmeCss += "@font-face{font-family:'Glyphicons Halflings';src:url('" +
			base64Images.base64Fonts['glyphicons-halflings-regular'] + "') format('woff');}";
}

if (!!base64Images && typeof base64Images.base64Fonts !== 'undefined' &&
		typeof base64Images.base64Fonts['WebComponentsIcons'] !== 'undefined') {
	readmeCss += "@font-face{font-family:'WebComponentsIcons';src:url('" +
			base64Images.base64Fonts['WebComponentsIcons'] + "') format('woff');}";
}

loadPage(screenshot.url, function(status, page) {
	setTimeout(function() {
		processReadme(status, page)
	}, 1000);

});

function processReadme(status, page) {
	try {
		console.log('exportReadme::processReadme():main page loaded with status: ');
		console.log(status);
		if (status !== 'success') {
			console.error("exportReadme::processReadme():Pageload status is " + status +
					".\n Exiting with return code 1");
			exitPhantom(1);
			return;
		}
		console.log("exportReadme::processReadme():Page url is:" + page.url);
		if (page.url.indexOf('noPermission.jsp') != -1 || page.url.indexOf('/applications/') != -1) {
			console.error("exportReadme::processReadme():loaded page is nopermission.jsp or /applications/ ...exiting");
			exitPhantom(403);
			return;
		}
		var loadMaskTimerStarted = false;
		var waitForTime = 2 * 1000;
		var start = 0;
		waitFor(function() {
			var retVal = page.evaluate(function() {
				var retVal = true;
				console.log('exportReadme::processReadme():waitFor ::window.jQuery = ' + window.jQuery);
				console.log('exportReadme::processReadme():waitFor ::$.active = ' + $.active);
				if (!window.jQuery || $.active > 0) {
					console.log('exportReadme::processReadme():waitFor ::condition is...false');
					return false;
				}
				var loadmask = $(".loadmask:visible");
				console.log('exportReadme::processReadme():waitFor ::loadmask.length = ' + loadmask.length);
				retVal = retVal && loadmask.length == 0;
				var datatables = $(".dataTable:visible:not(.drawn)").length == 0;
				console.log('exportReadme::processReadme():waitFor ::datatables.length = ' +
						$(".dataTable:visible:not(.drawn)").length);
				retVal = retVal && datatables; //this assumes that when all the tables are drawn completely, we consider page complete. reportsbase.js adds drawn class ontablerendercallback
				console.log('exportReadme::processReadme():waitFor ::condition is...' + retVal);
				return retVal;
			});
			if (retVal) {
				if (!loadMaskTimerStarted) {
					// start waitTimer for 2 seconds.
					start = new Date().getTime();
					loadMaskTimerStarted = true;
					console.log('waitfor condition is...' + retVal +
							', waiting for 2000ms for any UI rendering to finish');
				}
				var now = new Date().getTime();
				if (now - start < waitForTime) {
					console.log('Waiting for 2000ms, covered so far:' + (now - start) + ", returning false");
					return false;
				} else {
					console.log('Finished waiting for 2000ms...for any UI rendering to finish');
				}
			}
			return retVal;
		},
				function() {
					console
							.log("Readme.js STARTING PROCESSING & SAVING README FILE ----------------------------------------------");
					//		for(var a in base64Images.base64Images)
					//		console.log(a + "=" + base64Images.base64Images['sprite']);
					phantom.backgroundStyles = {};
					phantom.backgroundStyles.sprite = '.sprite{background-image:url(\'' +
							base64Images.base64Images.sprite + '\');}';
					phantom.backgroundStyles.firstPage_arrow = '.firstPage_arrow{background-image:url(\'' +
							base64Images.base64Images.firstPage_arrow + '\') !important;}';
					phantom.backgroundStyles.back_arrow = '.back_arrow{background-image:url(\'' +
							base64Images.base64Images.back_arrow + '\') !important;}';
					phantom.backgroundStyles.fwd_arrow = '.fwd_arrow{background-image:url(\'' +
							base64Images.base64Images.fwd_arrow + '\') !important;}';
					phantom.backgroundStyles.lastPage_arrow = '.lastPage_arrow{background-image:url(\'' +
							base64Images.base64Images.lastPage_arrow + '\') !important;}';
					phantom.backgroundStyles.expand_icon_gray = '.expand_icon_gray{background-image:url(\'' +
							base64Images.base64Images.expand_icon_gray + '\') !important;}';
					phantom.backgroundStyles.collapse_icon_gray = '.collapse_icon_gray{background-image:url(\'' +
							base64Images.base64Images.collapse_icon_gray + '\') !important;}';

					delete base64Images.base64Images.sprite;

					page.evaluate(function(base64Images) {
						$('body').addClass('embedded').addClass('readmefriendly');
						$('#breadcrumbMain').remove();
						$('#header').remove();
						$('#reportSideBar').remove();
						$('#reportButton').remove();
						$('.dataTables_paginate .first').addClass('firstPage_arrow');
						$('.dataTables_paginate .previous').addClass('back_arrow');
						$('.dataTables_paginate .next').addClass('fwd_arrow');
						$('.dataTables_paginate .last').addClass('lastPage_arrow');

						$('#reportArea .expand').addClass('expand_icon_gray');
						$('#reportArea .arrowPlaceholder.collapse').addClass('collapse_icon_gray');

						$('.dataTables_paginate input[type="text"]').attr('value', '1');
						$('.reports_Alarm').remove();
						$('.reports_Filter').remove();
						$('#noSearchReportLinks').remove();
						$('.columnEditor').remove();
						var v = $('<div id="sampleOutput" style="margin-top: 5px;">Sample Output</div>');
						var target = $('.reportEditDataContainer')[0];
						v.insertBefore(target);
						$('.sechead').css('border', 'none');
						console.log('base64Images inside page is: ' + base64Images['pglogo']);
						$.each($('img'), function(index, el) {
							console.log('el.id is: ' + el.id);
							if (base64Images[el.id]) {
								$(el).attr('src', base64Images[el.id]);
							}
						});
						$('a').removeAttr('href');
						localStorage.clear();
					}, base64Images.base64Images);
					cssInliner.startInlineCss(page, page.content);
				},
				5 * 60 * 1000); //5 min timeout
	} catch (e) {
		console.error("exportReadme::processReadme():Error on pageload " + e);
		console.error("exportReadme::processReadme():Exiting with error code 1");
		exitPhantom(1);
	}
}

function loadPage(url, onPageLoadCallBack) {
	var page = new WebPage();
	page.settings.userAgent = 'Simpana PhantomJS';
	cssInliner.attachPageEventHandlers(page);
	page.onConsoleMessage = function(msg, line, source) {
		console.log(source + " " + line + ":" + msg);
	};
	page.onError = function(msg, trace) {
		var msgStack = [ 'ERROR ON PAGE: ' + msg ];
		if (trace) {
			msgStack.push('TRACE:');
			trace.forEach(function(t) {
				msgStack.push(' -> ' + t.file + ': ' + t.line +
						(t["function"] ? ' (in function "' + t["function"] + '")' : ''));
			});
		}
		console.error(msgStack.join('\n')); //should phantom.exit(1) be called here also ??
	};
	for (var i = 3; i < system.args.length; i++) {
		console.log(system.args[i]);
		var cookie = system.args[i].split("=");
		console.log("COOKIE NAME: " + cookie[0]);
		console.log("COOKIE VALUE: " + cookie[1]);
		phantom.addCookie({
			'name' : cookie[0],
			'value' : cookie[1],
			'domain' : screenshot.domain
		});
	}
	page.onLoadFinished = function(status) {
		setTimeout(onPageLoadCallBack(status, page), 1000); //give the page 500 ms to load any js if it is
	};
	console.log("opening: ");
	console.log(url);
	page.open(url);
	return page;
}

function waitFor(testFx, onReady, timeOutMillis) {
	var maxtimeOutMillis = timeOutMillis ? timeOutMillis : 60000, //< Default Max Timout is 60s
	start = new Date().getTime(), condition = false, interval = setInterval(function() {
		if ((new Date().getTime() - start < maxtimeOutMillis) && !condition) {
			// If not time-out yet and condition not yet fulfilled
			condition = (typeof (testFx) === "string" ? eval(testFx) : testFx()); //< defensive code
		} else {
			if (!condition) {
				// If condition still not fulfilled (timeout but condition is 'false')
				console.error("'waitFor()' timeout");
				exitPhantom(1);
				return;
			} else {
				// Condition fulfilled (timeout and/or condition is 'true')
				console.log("'waitFor()' finished in " + (new Date().getTime() - start) + "ms.");
				typeof (onReady) === "string" ? eval(onReady) : onReady(); //< Do what it's supposed to do once the condition is fulfilled
				clearInterval(interval); //< Stop this interval
			}
		}
	}, 250); //< repeat check every 250ms
}