<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<fmt:bundle basename="commvault.web.reports.ReportsMessages">

<jsp:include page="../common/header.jsp">	
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="showSettings" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="changePage" />
	<jsp:param value="File_Archiver_Report" name="title" />
	<jsp:param value="File_Archiver_Report" name="headerTitle" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/dynatree/ui.dynatree.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css" name="css"/>
  	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
 	
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeHistory"/> 	

	<jsp:param value="true" name="includeTableSupport"/>
	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
	
	
</jsp:include>

<%@ include file="reportsBaseBody.jsp" %>

		<div id="ContentWrapper">	
		<div id="filter-panel-cont">
		<div id="filter-panel-wrapper">
		<div id="filterPanel">
			<h3><a href="#">Clients</a></h3>
			<div>
				<div id="tree">  </div>
			</div>
			
			<h3><a href="#">File options</a></h3>
				<div id="optionsdiv">
					<div class="option">
						<ul class="horizontalList">
						<li><fmt:message key="FilesCreated"/> <input type="text" id="createdN" value="0" style="width :50px;"/></li>
						<li><fmt:message key="FilesAccessed"/> <input type="text" id="accessN" value="0" style="width :50px;" /></li>
						<li><fmt:message key="FilesModified"/> <input type="text" id="modifiedN" value="0" style="width :50px;" /></li>
						<li><fmt:message key="FileSizeGreaterthan"/>
							<div id="relativePanel">
								<input type="text" id="sizeN" value="0" />
									<select id="units">
									  	<option value="Bytes">BYTES</option>
									  	<option value="KB">KB</option>
									  	<option value="MB">MB</option>
									  	<option value="GB">GB</option>
									  	<option value="TB">TB</option>
									  	<option value="PB">PB</option>
									</select> 
							</div>
						</li>
						<li><fmt:message key="FilesExtensions"/> <input type="text" id="extensions" value="" style="width :100px;"/></li>
						<li><fmt:message key="FileExtMessage"/></li>
						
						</ul>
					</div>
				</div>
				
			<h3><a href="#">Chart View</a></h3>
				<div id="optionsdiv">
					<ul class="horizontalList">
						<li><fmt:message key="SelectViewForChart"/> 
							<select id="chartView">
								<option value="FileCount"><fmt:message key="FileCount"/></option>
								<option value="TotalSize"><fmt:message key="Total_Size"/></option>
							</select>
						</li>
					</ul>
				</div>
				
		</div>							
		</div>
		<input id="btngenerate" type="button" value="Generate Report">
		</div>
		<div id="chartContentWrapper">
			
		<ul id="breadCrumbPanel">
		</ul>
			
			
			<div id="chartTitleDiv">
				<div id="chartTitle"></div>
			</div>
			
			<div id="selectGrpDiv">
			<div class="selectWrapper">
			<select id="groupByPanel">
				<option id="Client"><fmt:message key="By_Client"/></option>
				<option id="ClientGroup"><fmt:message key="By_ClientGroup"/></option>
				<option id="CommCell"><fmt:message key="By_CommCell"/></option>
			</select>
			</div>
			</div>
			
			<div id="piechartcontainer">
			</div>
			</div>
					
			</div>
			
			<jsp:include page="reportstable.jsp">	
				<jsp:param name="id" value="fileArchiverSummary" />
				<jsp:param name="tabletitle" value='Summary' />
				<jsp:param name="clientside" value="true" />
				<jsp:param name="filearchiver" value="true" />
			</jsp:include>
			
			<jsp:include page="reportstable.jsp">	
				<jsp:param name="id" value="flaData" />
				<jsp:param name="tabletitle" value='FLA Details' />
			</jsp:include>
			
			
</fmt:bundle>
<div class="clearFloat"></div>
<jsp:include page="../common/footer.jsp">
 	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/custom-pie.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/dynatree/jquery.dynatree.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/reports/js/filearchiver.js" name="js"/>
  <jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
  
  <jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/js/ui.multiselect.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
</jsp:include>
