<!-- ============================================================================ -->
<!--   Copyright (c) CommVault Systems, -->
<!--   All Rights Reserved -->
<!--   THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF CommVault Systems -->
<!--   The copyright notice above does not evidence any -->
<!--   actual or intended publication of such source code.                        -->
<!--   Author: Marilou Geverola -->
<!--  ============================================================================ -->
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<fmt:bundle basename="localization.ReportsMessages">

<c:set var="paramId" value="${fn:escapeXml(param.id)}" />

<div id="${paramId}_ContentWrapper" comp='${paramId}_ContentWrapper' data-component-type='METRICS_CHART' class="chartholder growthChartContentWrapper hideifnodata" style="display: none">

	<div id="${paramId}_ChartTitleDiv"  class="chartSubTitle" >
		<h1>${fn:escapeXml(param.title)}</h1>
	</div>

	<div id="${paramId}_detailPanel" class="detailPanel">

		<div id="${paramId}_claPanel">
			<div id="${paramId}_iconLabel"  class="normalIcon iconLabel"> <span class="sprite icon-check-circle"></span> </div>
			<div id="${paramId}_iconLabel"  class="warningIcon iconLabel"> <span class="sprite icon-warning"></span> </div>
			<div id="${paramId}_iconLabel"  class="criticalIcon iconLabel"> <span class="sprite icon-critical"></span> </div>

			<div id="${paramId}_predictionPanel">
				<h1 class="predictionLabel"><fmt:message key="CommCellGrowth.PredictedUsage"/></h1>
				<ul>
					<li id="${paramId}_pred6MonthsLabel" class="predictionLabel"><fmt:message key="CommCellGrowth.Next6Months"/>
					</li>
					<li id="${paramId}_pred12MonthsLabel" class="predictionLabel" ><fmt:message key="CommCellGrowth.Next12Months"/>
					</li>
					<li id="${paramId}_pred18MonthsLabel" class="predictionLabel" ><fmt:message key="CommCellGrowth.Next18Months"/>
					</li>
				</ul>

				<ul id="values">
					<li id="${paramId}_pred6MonthsValue" class="predictionValue">
					</li>
					<li id="${paramId}_pred12MonthsValue" class="predictionValue">
					</li>
					<li id="${paramId}_pred18MonthsValue" class="predictionValue">
					</li>
				</ul>
			</div>

			<h1 id="${paramId}_claLabel" class="warningLabel"></h1>
			<h1 id="${paramId}_warningValue" class="warningValue"> </h1>
			<div class="currentCapacity"><fmt:message key="CommCellGrowth.CurrentCapacityUsage"/> <span id="${paramId}_currentUsage" class="currentUsage"></span></div>
			<div class="peakCapacity"><fmt:message key="CommCellGrowth.PeakCapacityUsage"/> <span id="${paramId}_peakUsage" class="peakUsage"></span></div>
		</div>

		<div id="${paramId}_nonClaPanel">
			<%-- <div id="${paramId}_iconLabel"  class="normalIcon iconLabel">  <span class="sprite icon-check-circle"></span> </div>
			<div id="${paramId}_iconLabel"  class="criticalIcon iconLabel"> <span class="sprite icon-critical"></span> </div> --%>
			<div id="${paramId}_iconLabel"  class="infoIcon iconLabel">  <span class="sprite icon-info"></span> </div>
			<h1 id="${paramId}_nonClaLabel" class="warningLabel"></h1>
		</div>
 	</div>

	<div id="${paramId}_Chart"  class="peak_capacity_charts hideifnodata">
	</div>

	<div class="bottomPanel">
	</div>


</div>
</fmt:bundle>