// ============================================================================
//  Copyright (c) CommVault Systems,
//  All Rights Reserved
//
//  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF CommVault Systems
//  The copyright notice above does not evidence any
//  actual or intended publication of such source code.
//
//  Author: Marilou Geverola
// ============================================================================

function GrowthReport() {
	this.report = new Reports.initReport({
		type : 'commcellgrowth',
		generateButtonId : 'btngenerate',
		idtomask : 'GrowthContentWrapper',
		chartIds : [
				'protectionEnterprise_Chart',
				'protectionCore_Chart',
				'archiveEnterprise_Chart',
				'archiveCore_Chart' ],
		directPrint : true
	});
	this.requestString = report.requestString;

	report.initializeDefaults = function() {
		requestString["type"] = "CommCellGrowth";
		requestString["growthType"] = [ "license" ];
		requestString.timeFrameType = "relative";
		requestString.frequency = "Monthly";
		requestString.lastN = 12;
		requestString.predictNext = 0;
		requestString["refreshCache"] = true;
		var endTime = new Date();
		endTime = "" + endTime.getFullYear() + pZ((endTime.getMonth() + 1)) + pZ(endTime.getDate()) +
				pZ(endTime.getHours()) + pZ(endTime.getMinutes());
		requestString.endTime = endTime;
	};

	report.initComponents = function() {
		$("#exportcsv").hide();
	};

	report.initComponentState = function() {
	};
	report.beforeLoadReport = function() {
		beforeLoadReportBase();
	};

	report.onLoadReport = function(data) {
		onLoadReportBase(data, false);

	};

	report.showErrorMessage = function() {

	};

	report.init();
	report.customizeTable = function(dataTable) {
	};
}

$(document).ready(function() {
	GrowthReport();
});