$(function() {

	$("#settingsLink").on("click", function() {
		window.location.assign(cvUtil.getContextPath() + "/reports/reports.jsp?report=customReports");
	});

	$("#buildYourOwnReport").on("click", function() {
		/*
		 * if(useCrVersion1 != undefined && useCrVersion1 != "false")
		 * window.location.assign(cvUtil.getContextPath() + "/customreports/buildCustomReport.do"); else
		 */
		window.location.assign(cvUtil.getContextPath() + "/reportsplus/");
	});

	$("#buildHealthTile").on("click", function() {
		window.location.assign(cvUtil.getContextPath() + "/reportsplus/?tile=true");
	});

	$("#createGroup").on("click", function() {
		commCellGroupHandler.createEditGroup("-1", "", "", false);
	});

	$("#actionsButton").on("click", function(e) {
		$(".actionMenu").hide();
		$("#moreActionMenu").show();
		e.stopPropagation();
	});

	$("#surveyExportMenuButton").on("click", function(e) {
		$(".actionMenu").hide();
		$("#_exportppt").hide();
		$("#surveyExportActionMenu").show();
		e.stopPropagation();
	});

	$("#reportButton").on("click", function(e) {
		$(".actionMenu").hide();
		$("#reportActionMenu").show();
		e.stopPropagation();
	});

	$("#customDashboard").on("click", function() {
		window.location.assign(cvUtil.getContextPath() + "/reports/reports.jsp?page=CustomDashboards");
	});

	$(".actionMenuItem").on("click", function(e) {
		$(".actionMenu").hide();
		$("#moreButton > div").removeClass("selected");
		$("#saveButton").removeClass("selected");
		e.stopPropagation();
	});

	$("html").click(function() {
		$(".actionMenu").hide();
		$("#moreButton > div").removeClass("selected");
		$("#saveButton").removeClass("selected");
	});

	$("#saveMenuButton").on("click", function(e) {
		$(".actionMenu").hide();
		$("#moreButton > div").removeClass("selected");
		$("#saveActionMenu").show();
		$("#saveButton").addClass("selected");
		e.stopPropagation();
	});

	$("#exportAsButton").on("mouseover", function() {
		$("#exportMenu").show();
	});

	$("#dashBoardMenuList").on("mouseover", function() {
		$("#dashboardMenu").show();
	});

	$("#dashBoardMenuList").on("mouseout", function() {
		$("#dashboardMenu").hide();
	});

	$("#exportAsButton").on("mouseout", function() {
		$("#exportMenu").hide();
	});

	$("#reportExButton").on("mouseout", function() {
		$("#exportMenu").hide();
	});

	$(".pageTabs li").on("click", function(e) {
		window.location.href = $(this).children('a').attr('href');
		e.stopPropagation();
	});

	$("#moreProfileButton").on("click", function(e) {
		$("#moreProfileActionMenu").show();
		e.stopPropagation();
	});

	$("#exportExecutiveSummary").on("click", function(e) {
		excutiveSummary.exportCSdetails();
	});

	$("#reportContent").on("click", function(e) {
		var filterString = $("#reportFilterSearch").val().trim();
		reportAdvanceSearch.searchAcrossReports(filterString, 1);
	});

	$("#reportColumn").on("click", function(e) {
		var filterString = $("#reportFilterSearch").val().trim();
		//		filterString = filterString.replace(/\s+/gi, "_").toUpperCase() + ":*";

		filterString = filterString.replace(/\(|\)|\/+/gi, "");
		reportAdvanceSearch.searchAcrossReports(filterString, 2);
	});

	//	$("#reportAdvanceSearch_section li").mouseenter(function() {
	//		$(this).addClass("ui-state-hover");
	//	}).mouseleave(function() {
	//		$(this).removeClass("ui-state-hover");
	//	});

	$("#reportAdvanceSearch_section li").on("mouseenter", function() {
		$(this).addClass("ui-state-hover");
	});

	$("#reportAdvanceSearch_section li").on("mouseleave", function() {
		$(this).removeClass("ui-state-hover");
	});

	$("#export-APAC-QBR").on('click', function() {
		openQuarterlyBusinessPptDialog();
	});

	$("#export-EMEA-QBR").on('click', function() {
		openQuarterlyBusinessDocDialog();
	});

	$("#export-RMS-PPT").on('click', function() {
		exportRMSPpt();
	});

	$("#export-OSOS-PPT").on('click', function() {
		exportOSOSPpt();
	});

	$("#export-Charter-Document").on('click', function() {
		exportCharterDocument();
	});

	$("#export-Executive-Summary").on("click", function(e) {
		openExecutiveSummaryPPTDialog();
	});
});

function openExecutiveSummaryPPTDialog() {
	var iframeUrl = cvUtil.getContextPath() + "/survey/openExecutiveSummaryDialog.do";
	var params = [];
	var target = cvUtil.createUrlWithParams(iframeUrl, params);
	cvUtil.showModal({
		width : 500,
		height : 175,
		title : cvUtil.cvLocalize('label.exportExecutiveSummaryMonthlyPPT'),
		href : target,
		iframe : true
	});
}

function openQuarterlyBusinessPptDialog() {
	var iframeUrl = cvUtil.getContextPath() + "/survey/openAPACQbrDialog.do";
	var params = [];
	var target = cvUtil.createUrlWithParams(iframeUrl, params);
	cvUtil.showModal({
		width : 500,
		height : 210,
		title : cvUtil.cvLocalize('label.exportAPACQbr'),
		href : target,
		iframe : true
	});
}

function openQuarterlyBusinessDocDialog() {
	var iframeUrl = cvUtil.getContextPath() + "/survey/openEMEAQbrDialog.do";
	var params = [];
	var target = cvUtil.createUrlWithParams(iframeUrl, params);
	cvUtil.showModal({
		width : 500,
		height : 175,
		title : cvUtil.cvLocalize('label.exportEMEAQbr'),
		href : target,
		iframe : true
	});
}

function exportRMSPpt() {
	var RMSPptDocumentGUID = '2c55175c-aa7b-48f9-94a3-c7c82285d3fd';
	var exportType = 'customppt';
	var filePrefix = 'RMS'; // for push service
	var subscriptionId = window.sessionStorage.getItem("export_subscriptionID"); // Push service subscription Id
	var month = 1;

	var link = "directDownload=false&commUniId=" + cvUtil.getParameter('commUniId', "0") + "&ccGroupId=" +
			cvUtil.getParameter('ccGroupId', "-1") + "&exportType=" + exportType + "&documentGUID=" +
			RMSPptDocumentGUID + "&subscriptionID=" + subscriptionId + "&filePrefix=" + filePrefix + "&month=" + month +
			"&companyId=" + cvUtil.getParameter('companyId', "0");
	var csExportURL = parent.cvUtil.getContextPath() + '/reports/exp.do?' + link;

	cvUtil.loadPageWithGET(csExportURL, ""); // Success and error handling done in push service

}

function exportOSOSPpt() {
	var OSOSPptDocumentGUID = 'd302b1d6-b12f-4cdc-a20d-769ad3b4d50d';
	var exportType = 'customppt';
	var filePrefix = 'OSOS'; // for push service
	var subscriptionId = window.sessionStorage.getItem("export_subscriptionID"); // Push service subscription Id
	var month = 1;

	var link = "directDownload=false&exportType=" + exportType + "&documentGUID=" + OSOSPptDocumentGUID +
			"&subscriptionID=" + subscriptionId + "&filePrefix=" + filePrefix;
	var csExportURL = parent.cvUtil.getContextPath() + '/reports/exp.do?' + link;

	cvUtil.loadPageWithGET(csExportURL, ""); // Success and error handling done in push service

}

function exportCharterDocument() {
	var CharterDocumentGUID = '446e1ce0-eeb4-4aaf-9d4a-2f7e1bdf7f51';
	var exportType = 'customdoc';
	var filePrefix = 'Charter'; // for push service
	var subscriptionId = window.sessionStorage.getItem("export_subscriptionID"); // Push service subscription Id
	var link = "directDownload=false&exportType=" + exportType + "&documentGUID=" + CharterDocumentGUID +
			"&subscriptionID=" + subscriptionId + "&filePrefix=" + filePrefix + "&cloudServicePack=" +
			cvUtil.getParameter('cloudServicePack', "");
	var csExportURL = parent.cvUtil.getContextPath() + '/reports/exp.do?' + link;
	cvUtil.loadPageWithGET(csExportURL, "");
}

function getCustomSwitch(switchObject) {

	var id = switchObject.id != undefined ? switchObject.id : "";
	var classVal = switchObject.classVal != undefined ? switchObject.classVal : "";
	var onText = switchObject.onText != undefined ? switchObject.onText : "";
	var offText = switchObject.offText != undefined ? switchObject.offText : "";
	var extraCheckBoxParams = switchObject.extraCheckBoxParams != undefined ? switchObject.extraCheckBoxParams : "";

	return '<label class="cv-custom-switch">' + '<div class="loader-spin"></div>' + '<input type="checkbox" ' +
			extraCheckBoxParams + ' class="' + classVal + '" id="' + id + '">' +
			'<div class="cv-custom-switch-slider">' + '<span class="on legend">' + onText +
			'</span><span class="off legend">' + offText + '</span>' + '</div>' + '</label>';
}