$(document).ready(function() {
	var report = getUrlParameter('report');
	if (report) {
		showReport(report);
	}
});

$('.settingHeaderLi').click(function(e) {
	var ele = $(this);
	var divid = ele.attr('data-div');
	showReport(divid);
	e.preventDefault();
	e.stopPropagation();
});

var getUrlParameter = function getUrlParameter(sParam) {
	var sPageURL = decodeURIComponent(window.location.search.substring(1)), sURLVariables = sPageURL.split('&'), sParameterName, i;

	for (i = 0; i < sURLVariables.length; i++) {
		sParameterName = sURLVariables[i].split('=');

		if (sParameterName[0] === sParam) {
			return sParameterName[1] === undefined ? true : sParameterName[1];
		}
	}
};

function showReport(divid) {
	var commUniId = getUrlParameter('commUniId');
    if (commUniId) {
		  history.replaceState(null, document.title, window.location.search);
    } else {
		  history.replaceState(null, document.title, "?report=" + divid);
    }

	$('.rightDivs').hide();
	$('#' + divid).show();
	if (divid == "alarmsSettings") {
		if (!window.alarmsLoaded) {
			loadCommCellsAndCallback();
		}
	} else if (divid == "managedDataSources") {
		if (!window.dsContextsLoaded) {
			refreshContexts(false);
		}
	}

	var pageTitle = $($('#' + divid)[0]).data("page-title");

	if (pageTitle) {
		$("title").html(pageTitle);
	}
}