(function() {

	$(document).ready(function() {
		$('#tip').remove();
		$("body").append('<div id="tip" style="display:none"></div>');

		init();

		$("body").on("click", ".js-reports-apps a", function(event) {
			var thisLink = $(this).parent("li");
			var thisLinkId = thisLink.attr("id");
			if (thisLinkId === "dashboard") {
				return;
			} else {
				$('#' + thisLinkId).addClass("nav-selected");
			}
		});

		$("#reportsManager").on("click", function(e) {
			if ($("#vw-nav-trigger").prop("checked") == true) {
				$(".vw-side-sub-nav ").addClass("vw-side-sub-nav-smaller");
			} else {
				$(".vw-side-sub-nav ").removeClass("vw-side-sub-nav-smaller");
				$(".arrow-right").toggleClass("arrow-down");
			}
			$("#reportsManagerSubNav").fadeToggle();
			e.stopPropagation();

		});

		$(".settingHeaderLi").click(function(e) {
			if (window.location.href.indexOf("reports/reports.jsp") < 0) {
				window.location.href = cvUtil.getContextPath() + "/reports/reports.jsp?page=" +
						$(this).attr('data-div');
			} else {
				var ele = $(this);
				$(".settingHeaderLi").removeClass("active");
				$(".navHeaderLi").removeClass("active");
				$(".navHeaderLi").removeClass("nav-selected");
				var divid = ele.attr('data-div');
				showContent(divid);
				e.preventDefault();
				e.stopPropagation();
			}
		});

		var width = $(window).width();
		$("#vw-nav-trigger").click(function() {
			var collapsed = false;
			if ($(this).is(':checked')) {
				$(".vw-side-sub-nav ").addClass("vw-side-sub-nav-smaller");
				if (!(width > 767 && width <= 1440)) {
					$("ul.nav > li > span.sec-title").addClass('hide-element');
					$("#reportsManager .arrow-right").addClass('hide-element');
					$("#reportSideBar .sec-title").addClass("hidden");
				}
				collapsed = true;
			} else {
				$(".vw-side-sub-nav ").removeClass("vw-side-sub-nav-smaller");
				if (!(width > 767 && width <= 1440)) {
					$("ul.nav > li > span.sec-title").removeClass('hide-element');
					$("#reportsManager .arrow-right").removeClass('hide-element');
					$("#reportSideBar .sec-title").removeClass("hidden");
				}
			}
			var request = {};
			request.collapsed = collapsed;
			var configURL = cvUtil.getContextPath() + '/reports/saveNavigationMenuSate.do';
			cvUtil.loadPageWithPOST(configURL, request, function(resp) {
				if (resp) {

				}
			}, function(resp) {
				cvUtil.errorToast(resp.responseText.trim(), null, null, true);
			});
		});
		$('.vw-side-sub-nav ').click(function(event) {
			event.stopPropagation();
		});

		if ($("#vw-nav-trigger").prop("checked") == true) { // checked = truncated version
			if (width <= 1440 && width > 767) {
				$(".vw-js-nav-trigger svg .vw-open").hide();
				$(".vw-js-nav-trigger svg .vw-close").show();
				//$(".nav-sec-title").show();
				$(".sec-title").show();
			} else {
				$(".vw-js-nav-trigger svg .vw-open").show();
				$(".vw-js-nav-trigger svg .vw-close").hide();
			}

		} else { // unchecked = wide version
			if (width <= 1440 && width > 767) {
				$(".vw-js-nav-trigger svg .vw-close").hide();
				$(".vw-js-nav-trigger svg .vw-open").show();
			} else {
				$(".vw-js-nav-trigger svg .vw-close").show();
				$(".vw-js-nav-trigger svg .vw-open").hide();
			}
		}

		$(".vw-js-nav-trigger").on("click", function() {
			if (width > 767 && width <= 1440) {
				if ($("#vw-nav-trigger").prop("checked") == true) { // checked = truncated version
					$(".vw-js-nav-trigger svg .vw-open").show();
					$(".vw-js-nav-trigger svg .vw-close").hide();
					$(".sec-title").hide();
				} else { // unchecked = wide version
					$(".vw-js-nav-trigger svg .vw-close").show();
					$(".vw-js-nav-trigger svg .vw-open").hide();
					$(".sec-title ").show();
				}
			} else {
				if ($("#vw-nav-trigger").prop("checked") == true) { // checked = truncated version
					$(".vw-js-nav-trigger svg .vw-open").show();
					$(".vw-js-nav-trigger svg .vw-close").hide();
				} else { // unchecked = wide version
					$(".vw-js-nav-trigger svg .vw-close").show();
					$(".vw-js-nav-trigger svg .vw-open").hide();

				}
			}
		})
	});

	function init() {
		var commUniId = cvUtil.getParameter('commUniId', 0);
		var ccGroupId = cvUtil.getParameter('ccGroupId', 0);
		var ccGroups = cvUtil.getParameter("ccGroups", "false");
		var companyId = cvUtil.getParameter('companyId', 0);
		var reportId = cvUtil.getParameter("reportId", "");
		var pathArray = window.location.pathname.split('?');
		var path = pathArray[0];
		var pathArray1 = path.split('/');
		if (pathArray1[4] == 'dashboard.jsp') {
			if ($("#Commcelldashboard").length > 0) {
				$("#Commcelldashboard").addClass('active');
			} else {
				$("#dashboard").addClass('active');
			}
		} else if (pathArray1[4] == 'commcellmonitoring.jsp') {
			if ($("#Commcellreports").length > 0) {
				$("#Commcellreports").addClass('active');
			} else {
				$("#reports").addClass('active');
			}
		} else if (pathArray1[4] == 'health.jsp') {
			$("#Commcellhealth").addClass('active');
		} else if (pathArray1[4] == 'profilecustdashboard.jsp') {
			$("#CommcellprofileTab").addClass('active');
		} else if (pathArray1[4] == 'monitoringform.jsp') {
			if (ccGroups == "true") {
				$("#commcellGroups").addClass('active');
			} else if (ccGroupId > 0 || companyId > 0) {
				$("#CommcellsGroup").addClass('active');
			} else {
				$("#Commcells").addClass('active');
			}
		} else if (pathArray1[4] == 'viewReport.jsp') {
			if (reportId == "RegisteredCompanies") {
				$("#companies").addClass('active');
			} else {
				$("#reports").addClass('active');
			}
		} else if (pathArray1[3] == 'reports.jsp') {
			$("#reportsManager").addClass('active');
		} else if (ccGroupId > 0 || commUniId > 0) {
			$("#Commcelldashboard").addClass('active');
		} else {
			var page = getUrlParameter('page');
			if (page && (page == 'Dashboard' || 'Reports')) {
				page = page.toLowerCase();
				$("#" + page).addClass('active');
			} else if (page) {
				$("#" + page).addClass('active');
			} else if (window.location.href.indexOf("reports/index.jsp") > 0) {
				$("#dashboard").addClass('active');
			} else {
				$("#reports").addClass('active');
			}
		}

		cvUtil.loadPageWithGET(cvUtil.getContextPath() + "/isStoreAccessible.do", null, function(result) {
			if (result === "true") {
				// display Store option
				$(".software-store-item").removeClass('hidden');
			}
		}, null);
		initNavMenuEntities(commUniId, ccGroupId, companyId);
	}

}());

$(document).ready(function() {
	var divid = getUrlParameter('page');
	if (divid) {
		showContent(divid);
	} else if (window.location.href.indexOf("reports/index.jsp") > 0) {
		showContent('Dashboard');
	}

});

$("body").on("click", ".navHeaderLi", function(e) {

	if (window.location.href.indexOf("reports/index.jsp") < 0) {
		window.location.href = cvUtil.getContextPath() + "/reports/index.jsp?page=" + $(this).attr('data-div');
	} else {
		var commUniId = getUrlParameter('commUniId');
		if (!commUniId) {
			var ele = $(this);
			var divid = ele.attr('data-div');
			$(".settingHeaderLi").removeClass("active");
			$(".navHeaderLi").removeClass("active");
			$(".navHeaderLi").removeClass("nav-selected");
			showContent(divid);
			e.preventDefault();
			e.stopPropagation();
		} else {
			window.location.href = cvUtil.getContextPath() + "/reports/index.jsp?page=" + $(this).attr('data-div');
		}
	}
});

var getUrlParameter = function getUrlParameter(sParam) {
	var sPageURL = decodeURIComponent(window.location.search.substring(1)), sURLVariables = sPageURL.split('&'), sParameterName, i;

	for (i = 0; i < sURLVariables.length; i++) {
		sParameterName = sURLVariables[i].split('=');

		if (sParameterName[0] === sParam) {
			return sParameterName[1] === undefined ? true : sParameterName[1];
		}
	}
};

function showContent(divid) {

	var commUniId = getUrlParameter('commUniId');
	if (commUniId) {
		history.replaceState(null, document.title, window.location.search);
	} else {
		if (window.location.hash && divid == 'Reports') {
			history.replaceState(null, document.title, "?page=" + divid + window.location.hash);
		} else {
			history.replaceState(null, document.title, "?page=" + divid);
		}
	}

	$('.rightDivs').hide();
	$('#' + divid).show();
	if (!window.location.hash) {
		if (divid) {
			divid = divid.toLowerCase();
			if ((divid != "dashboard" && divid != "reports") && $('#reportsManagerSubNav').is(':hidden')) {
				$('#reportsManagerSubNav').show();
				$(".arrow-right").toggleClass("arrow-down");
			}
		}
	}
	if (divid) {
		switch (divid.toLowerCase()) {
		case "dashboard":
			$(document).prop('title', 'Worldwide Dashboard');
			break;
		case "reports":
			$(document).prop('title', 'Reports');
			break;
		case "customreports":
			$(document).prop('title', 'Reports');
			$('#reportMgrLi').toggleClass("active");
			break;
		case "tiles":
			$(document).prop('title', 'Tiles');
			$('#tilesMgrLi').toggleClass("active");
			break;
		case "datasets":
			$(document).prop('title', 'Data Sets');
			$('#dataSetMgrLi').toggleClass("active");
			break;
		case "reportsettings":
			$(document).prop('title', 'Settings');
			$('#reportSettingsLi').toggleClass("active");
			break;
		case "manageddatasources":
			$(document).prop('title', 'Data Sources');
			$('#generalLi').toggleClass("active");
			break;
		case "alarmssettings":
			$(document).prop('title', 'Alerts');
			$('#alarmsLi').toggleClass("active");
			break;
		case "schedulesettings":
			$(document).prop('title', 'Schedules');
			$('#schedulesLi').toggleClass("active");
			break;
		}

	}

}
function initNavMenuEntities(commUniId, ccGroupId, companyId) {
	if (!cvUtil.getParameter('exportType')) {
		if (isPublicMetricsCloud != undefined && isPublicMetricsCloud &&
				(commUniId > 0 || ccGroupId > 0 || companyId > 0)) {
			if (companyId > 0) {
				$('#CommcellprofileTab').removeClass('hide');
			} else {
				reportsUtil.getCCGroupProfileInfo(commUniId, ccGroupId, companyId, function(data) {
					var showProfile = true;
					if (data == undefined) {
						showProfile = false;
					} else if (commUniId > 0 && (data.ccGroupId <= 0 && data.companyId <= 0)) {
						showProfile = false;
					} else if (data.enabledProfile == false && companyId <= 0) {
						showProfile = false;
					}
					if (showProfile) {
						$('#CommcellprofileTab').removeClass('hide');
					}

					if (typeof (dashboardCommon) !== 'undefined') {
						dashboardCommon.userGroupName = data.ccGroupName;
					}

				});
			}
		}
		if ($('#Commcells').length > 0 || $('#commcellGroups').length > 0) {
			cvUtil.loadPageWithGET(cvUtil.getContextPath() + "/reports/getNavMenuEntityInfo.do?ccGroupId=" + ccGroupId +
					"&commUniId=" + commUniId + "&companyId=" + companyId, null, function(data) {
				if (data.data) {
					if (data.data.CCGroupsCountStr && $('#commcellGroups').length > 0) {
						var text = $('#commcellGroups span.vw-text').text();
						if (text.indexOf(data.data.CCGroupsCountStr) < 0) {
							$('#commcellGroups span.vw-text').text(text + ' ' + data.data.CCGroupsCountStr);
						}
					}
					if (data.data.WWCommCellsCountStr && $('#Commcells').length > 0) {
						var text = $('#Commcells span.vw-text').text();
						if (text.indexOf(data.data.WWCommCellsCountStr) < 0) {
							if (ccGroupId <= 0 && companyId <= 0) {
								$('#Commcells span.vw-text').text(text + ' ' + data.data.WWCommCellsCountStr);
							}
						}
					}

				}
			});
		}

	}
}
