<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<fmt:bundle basename="localization.ScheduleMessages">

	<jsp:include page="../common/header.jsp">
		<jsp:param value="true" name="includeMask" />
		<jsp:param value="true" name="includeSecHeader" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="" name="titleLocalized" />
		<jsp:param value="dialog" name="displayMode" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/clientDetails/css/summarystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/schedule.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/customreports/css/shareReport.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/bootstrap/css/bootstrap.min.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/bootstrap/css/bootstrap-multiselect.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css" />
	</jsp:include>

	<fmt:message key="schedule.label.errorMessage1" var="errorMessage1" />


	<c:set var="sched" value="${requestScope.SCHEDULE}" />
	<c:set var="schedFreqType" value="${requestScope.SCHEDULE_FREQTYPE}" />

	<div id="schMask" class="addOn">
		<form id="emailForm">
			<div class="labelContainer"> <label><fmt:message key="reports.format" /></label> </div>
			<div class="inputContainer exportTypesContainer" id="formOptions">
				<select class="exportType" name="exportType">
							<c:forEach items="${requestScope.reportFormat}" var="exportTypeEntity" >
								<option value="${exportTypeEntity.value}" title="${exportTypeEntity.title}">${exportTypeEntity.title}</option>
							</c:forEach>
				</select>
			 </div>
			<div>
				<div class="margin-top-10 same-line notEmailBodyFriendly ">
					<div class="custom-cb unchecked compressFile inline-custom-cb" data-state="unchecked" name="compressFile"></div>
						<span class="custom-cb-label compressFile"><fmt:message key="reports.compressFile" /></span>
						<input type="hidden" name="compressFile" value="" title="">
				</div>
			</div>
			<div id="componentOptions" class="schedule-field email-options hidden">
				<div class="labelContainer" for="components"><fmt:message key="reports.selectComponents"/></div>
				<div class="inputContainer exportTypesContainer" id="formOptions">
					<select id="components" size="5" name="components" multiple="multiple"></select>
				 </div>
			</div>
			<div class="margin-top-10">
				<div class="labelContainer">
					<label for="emails"><fmt:message key="reports.emailRecipients" /></label>
				</div>
				<div class="inputContainer">
						<span class="email_suggestion full-width" data-margin-left="0px" data-max-suggestion="5" data-suggestion-width="100%">
							<input type="text" name="emails" id="emails" class="formField" autocomplete="off">
						</span>
				</div>
			</div>

		</form>
		<fmt:bundle basename="localization.messages">
			<div class="btns rghtFloat">
				<a href="#" id="cancelButton"><fmt:message key="Cancel" /></a> <a
					href="#" id="okButton" class="okSaveButton"><fmt:message
						key="Submit" /></a>
			</div>
		</fmt:bundle>
	</div>
</fmt:bundle>

<script nonce="${sessionScope.cspNonce}" >
	var localMsg = localMsg || {};
	var errorMessage1Text = "${errorMessage1}";
	var currentUrl = window.parent.document.URL;
</script>

<jsp:include page="../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/reports/js/reportsUtil.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/reports/js/reportEmail.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/reports/js/emailSuggestion.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/thirdPartyV3/bootstrap-4.4.1/js/bootstrap.bundle.min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/bootstrap/js/bootstrap-multiselect.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js" />
</jsp:include>

