<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>


<jsp:include page="../common/header.jsp">
	<jsp:param value="webconsole" name="applicationName" />
	<jsp:param value="reportsplus/reportHeader.jsp" name="jsp" />
	<jsp:param
		value="${pageContext.request.contextPath}/common/css/headerstyles.css"
		name="css" />
	<jsp:param
		value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css"
		name="css" />
	<jsp:param value="false" name="includeJqueryUI" />
	<jsp:param
		value="${pageContext.request.contextPath}/common/css/custom-cb.css"
		name="css" />
	<jsp:param value="ReportsManager" name="title" />
	<jsp:param value="ReportsManager" name="headerTitle" />
	<jsp:param value="false" name="includeMask" />
	<jsp:param
		value="${pageContext.request.contextPath}/common/js/encoder.js"
		name="js" />
	<jsp:param
		value="${pageContext.request.contextPath}/common/css/ui.spinner.css"
		name="css" />
	<jsp:param
		value="${pageContext.request.contextPath}/customreports/css/shareReport.css"
		name="css" />
	<jsp:param
		value="${pageContext.request.contextPath}/summary/css/summarystyles.css"
		name="css" />
	<jsp:param
		value="${pageContext.request.contextPath}/common/css/table.css"
		name="css" />
	<jsp:param
		value="${pageContext.request.contextPath}/reports/css/reports.css"
		name="css" />
	<jsp:param
		value="${pageContext.request.contextPath}/reportsplus/css/reportManager.css"
		name="css" />
	<jsp:param
		value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css"
		name="css" />
	<jsp:param value="true" name="includeHistory" />
	<jsp:param value="true" name="includeTableSupport" />
	<jsp:param value="false" name="includeSecHeader" />
	<jsp:param value="true" name="bootstrapped" />
	<jsp:param value="true" name="reportsNav" />
	<jsp:param value="false" name="includeBootstrapCss" />
	<jsp:param value="true" name="reportManager" />
	<jsp:param value="false" name="includeLMjsp" />
	<jsp:param
		value="${pageContext.request.contextPath}/survey/css/alarms.css"
		name="css" />
</jsp:include>
<fmt:bundle basename="localization.CustomReportsMessages">

	<script type="text/javascript" nonce="${sessionScope.cspNonce}" >
		var localMsg = localMsg || {};
		localMsg.headerTitleText = "${headerTitleText}";
		localMsg.buildNewReport = "${headerTitle}";
		localMsg.invalidQuery = '<fmt:message key="invalid.query" />';
		localMsg.invalidDataSource = '<fmt:message key="Invalid_DataSource" />';
		localMsg.saveDataBaseDetailsMsg = '<fmt:message key="Saving_The_Database_Details" />';
		localMsg.previewMsg = '<fmt:message key="Preview" />';
		localMsg.loadingMsg = '<fmt:message key="Loading" />';
		localMsg.refreshDataSourceListMsg = '<fmt:message key="Refreshing_DataSource_List" />';
		localMsg.requiredFieldsMsg = '<fmt:message key="Required_Fields" />';
		localMsg.clearCacheSuccessMsg = '<fmt:message key="Cleared_Cache_Successfully" />';
		localMsg.reportsAssociatedSuccessMsg = '<fmt:message key="Association_Success_Message" />';
		localMsg.connectionNameAlreadyExistsMsg = '<fmt:message key="Connection_Name_Already_Exists" />';
		localMsg.saveSettingsSuccessMsg = '<fmt:message key="Saved_Settings_Succefully" />';
		localMsg.addDataSourceSuccessMsg = '<fmt:message key="Successfully_Added_DataSource" />';
		localMsg.reportsToAssocaiteMsg = '<fmt:message key="Select_the_reports_to_associate" />';
		localMsg.reportToHostAssocaitionMask = '<fmt:message key="Host_To_Reports_Assocaition" />';
		localMsg.addForeignCommcell = '<fmt:message key="Add_Foreign_Commcell" />';
		localMsg.addForeignDatabase = '<fmt:message key="Add_Foreign_Database" />';
		localMsg.editForeignCommcell = '<fmt:message key="Edit_Foreign_Commcell" />';
		localMsg.editForeignDatabase = '<fmt:message key="Edit_Foreign_Database" />';
		localMsg.noReportsAvailableToAsoociate = '<fmt:message key="No_Reports_Available_To_Associate" />';
		localMsg.associateDisassociateTitle = '<fmt:message key="Associate_Disassociate_Title" />';
		localMsg.deleteDataSourceTitle = '<fmt:message key="Delete_Data_Source" />';
		localMsg.editDataSourceTitle = '<fmt:message key="Edit_Data_Source" />';
		localMsg.registered = '<fmt:message key="Registered" />';
		localMsg.successfully = '<fmt:message key="Successfully" />';
		localMsg.deleteDataSourceSuccess = '<fmt:message key="Delete_Data_Source_Message" />';
		localMsg.editDataSourceSuccess = '<fmt:message key="Edit_Data_Source_Message" />';
		localMsg.deletingDataSourceMessage = '<fmt:message key="Deleting_Data_Source_Message" />';
		localMsg.reportsDissAssocaiteMessage = '<fmt:message key="Reports_Disassocaited_Message" />';
		localMsg.noDataSources = '<fmt:message key="No_Data_Sources" />';
		localMsg.Yes = '<fmt:message key="Yes"/>';
		localMsg.No = '<fmt:message key="No"/>';
		localMsg.associateDisassociateReportsToThisHost = '<fmt:message key="Associate_disassociate_reports_to_this_host"/>';
		localMsg.editassociateDisassociateMessage = '<fmt:message key="Edit_Association_Success_Message"/>';
		localMsg.confirm = '<fmt:message key="Confirm"/>';
		localMsg.Successfully_updated_analytics_engine='<fmt:message key="msg.Successfully_updated_analytics_engine"/>';
		localMsg.Unable_to_get_Analytics_Engines='<fmt:message key="error.Unable_to_get_Analytics_Engines"/>';
		localMsg.Successfully_disabled_reports_content_search='<fmt:message key="msg.Successfully_disabled_reports_content_search"/>';

		window.urlInitializationNotRequired = true;

		var ccGroupId = cvUtil.getParameter('ccGroupId', -1);
		var companyId = cvUtil.getParameter('companyId', 0);
	</script>
	<fmt:bundle basename="localization.SurveyMessages">
		<script type="text/javascript" nonce="${sessionScope.cspNonce}" >
			var localMsg = localMsg || {};
			localMsg.Add_or_remove_columns = '<fmt:message key="Add_or_remove_columns"/>';
			localMsg.Filter_columns = '<fmt:message key="Filter_columns"/>';
			localMsg.Export_to_CSV = '<fmt:message key="Export_to_CSV"/>';
			localMsg.Add_Alert = '<fmt:message key="Add_Alert"/>';
		</script>
	</fmt:bundle>

	<div id="noCols"
		style="padding-top: 20px; padding-left: 5px; display: none">
		<fmt:message key="userPrefs.label.noUserPreferencesFound" />
	</div>

	<div id="settingsTab" class="clear-both">
		<div id="ng-app" data-ng-app="reports">
			<cv:reportsTag name="Reports.ManageReports" id="888">
				<div id="customReports" class="rightDivs" data-page-title='<fmt:message key="ReportsManager_Custom_Reports_Tab" />' style="display: none">
					<div class="reportheader">
						<fmt:message key="ReportsManager_Custom_Reports_Tab" />
					</div>
					<div>
						<jsp:include page="../reportsplus/reportArea.jsp">
							<jsp:param name="reportName" value="Reports Manager" />
							<jsp:param name="includeTitle" value="false" />
							<jsp:param name="noTitleUpdate" value="true" />
						</jsp:include>
					</div>
				</div>

				 <!-- div id="Tiles" class="rightDivs" data-page-title='<fmt:message key="ReportsManager_Health_Tiles_Tab" />' style="display: none">
					<div class="tileReportheader">
						<fmt:message key="ReportsManager_Health_Tiles_Tab" />
					</div>
					<div>
						<c:set var="tileType" value="Online" />
						<c:if test="${applicationScope.METRICS_INSTALLED}">
								<c:set var="tileType" value="Offline" />
						</c:if>
						<div id="reportArea">
						     <div id="ng-app" data-ng-app="reports" data-ng-controller="reportsCtrl" data-ng-init="init('', 'Health Tile Manager',false, {noTitleUpdate:true}, 'input.tileType=${tileType}')">
						         <div id="pageDiv" data-ng-controller="pageController" class="maskLayer" data-ng-class="{'isMasked':masked}" >
						             <div data-ng-include="'${pageContext.request.contextPath}/reportsplus/templates/reportComponents/viewerPage.jsp'"></div>
						         </div>
						     </div>
						 </div>


					</div>
				</div --> 

			</cv:reportsTag>

			<cv:reportsTag name="Reports.ManageReports" id="888">
				<div id="Datasets" class="rightDivs" data-page-title='<fmt:message key="ReportsManager_Custom_DataSets_Tab" />' style="display: none">
					<div class="datasetReportheader">
						<fmt:message key="ReportsManager_Custom_DataSets_Tab" />
					</div>
					<div>
						<jsp:include page="../reportsplus/manager/dataSetManagerView.jsp"></jsp:include>
					</div>
				</div>
			</cv:reportsTag>

			<div id="CustomDashboards" class="rightDivs" data-page-title='<fmt:message key="ReportsManager_Custom_DataSets_Tab" />' style="display: none">
					<div class="datasetReportheader">
						<fmt:message key="ReportsManager_Custom_dashboards_Tab" />
					</div>
					<div>
						<jsp:include page="../reportsplus/reportArea.jsp">
							<jsp:param name="reportName" value="Custom Dashboards" />
							<jsp:param name="includeTitle" value="false" />
							<jsp:param name="noTitleUpdate" value="true" />
						</jsp:include>
					</div>
			</div>
		</div>

		<c:set var="isReportAdmin" value='false' scope="page" />
		<cv:reportsTag name="adminRight" id="999">
			<c:set var="isReportAdmin" value='true' scope="page" />
		</cv:reportsTag>
		<c:set var="cellAdminUser" value='false' scope="page" />
			<cv:reportsTag name="cellAdministrativeRight" id="999">
			<c:set var="cellAdminUser" value='true' scope="page" />
		</cv:reportsTag>

		<c:if test="${applicationScope.isPublicMetricsCloud == null or applicationScope.isPublicMetricsCloud == false}">
				<c:if test = "${(applicationScope.METRICS_INSTALLED == 'true' &&  isReportAdmin== 'true') || cellAdminUser == 'true'}">
					<div id="reportSettings" class="rightDivs" style="display: none">
						<div class="reportheader">
							<fmt:message key="ReportsManager_Metrics_Reports_Tab" />
						</div>
						<jsp:include page="../survey/reports/reportSettings.jsp"></jsp:include>
					</div>
				</c:if>
		</c:if>

		<!-- Manage Data Sources  -->
		<cv:reportsTag name="Reports.ManageDataSources" id="888">
			<div id="managedDataSources" class="rightDivs" style="display: none">
				<div class="reportheader">
					<fmt:message key="ReportsManager_DataSource_Tab" />
				</div>
				<jsp:include page="../reportsplus/reportsDataSource.jsp"></jsp:include>
			</div>
		</cv:reportsTag>
		<!-- End of Manage Data Sources -->

		<!-- Manage Alarms -->
		<c:if
			test="${applicationScope.METRICS_INSTALLED != null && applicationScope.METRICS_INSTALLED == 'true'}">
			<script type="text/javascript" nonce="${sessionScope.cspNonce}" >
				isMetricsOk = true;
			</script>
		</c:if>
		<div id="alarmsSettings" class="rightDivs" style="display: none">
			<div>
				<div class="reportheader">
					<fmt:message key="ReportsManager_Alerts_Tab" />
				</div>
				<jsp:include page="../reportsplus/alarms/alarmlocale.jsp"/>
				<jsp:include page="../survey/reports/alarmsSettings.jsp"></jsp:include>
			</div>
		</div>
		<!-- End Manage Alarms -->

		<!-- Manage Schedules  -->
		<div id="scheduleSettings" class="rightDivs" style="display: none">
			<div>
				<div class="reportheader">
					<fmt:message key="ReportsManager_Schedules_Tab" />
				</div>
				<jsp:include page="manageSchedules.jsp"></jsp:include>
			</div>
		</div>
		<!-- End of Manage Schedules  -->
	</div>
	<div class="disableHost" style="display: none;">
		<div id="disableHostContent">
			<br>
			<p>
				<fmt:message key="Delete_Data_Source" />
			</p>

		</div>
	</div>
</fmt:bundle>
<script nonce="${sessionScope.cspNonce}" >
	(function() {
		var useCrVersion1 = '${sessionScope.CR_VERSION}';
		$( "#filterPanel").accordion({
			'collapsible': true,
			'heightStyle': "content"
		});
	})();
	var isDcubeEnabledInCustomReports = "${cvConfig.isDcubeEnabledInCustomReports()}";
	if (isDcubeEnabledInCustomReports === 'true')
		isDcubeEnabledInCustomReports = true;
	else
		isDcubeEnabledInCustomReports = false;
</script>

<jsp:include page="../common/footer.jsp">
	<jsp:param
		value="${pageContext.request.contextPath}/common/js/ba-debug.min.js"
		name="js" />
	<jsp:param
		value="${pageContext.request.contextPath}/common/js/custom-cb.js"
		name="js" />
	<jsp:param
		value="${pageContext.request.contextPath}/settings/settings.js"
		name="js" />
	<jsp:param
		value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js"
		name="js" />
	<jsp:param
		value="${pageContext.request.contextPath}/reportsplus/js/reportManager.js"
		name="js" />
	<jsp:param
		value="${pageContext.request.contextPath}/reports/js/reports.js"
		name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/executiveSummary.js" name="js" />
	<jsp:param value="true" name="bootstrapped" />
</jsp:include>
